Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 88bb10f20f21de2cb71ac6b4eebad996500456cb)
+++ multimedia/libdriv/gst10-libav.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
@@ -7,7 +7,7 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "361638fa45466c5050bcde6bfe10fa46">
+  <!ENTITY gst10-libav-md5sum        "85f1a047606ca9e08493d7b6b42df462">
   <!ENTITY gst10-libav-size          "7.6 MB">
-  <!ENTITY gst10-libav-buildsize     "514 MB (with tests)">
+  <!ENTITY gst10-libav-buildsize     "525 MB (with tests)">
   <!ENTITY gst10-libav-time          "5.1 SBU (with tests)">
 ]>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 88bb10f20f21de2cb71ac6b4eebad996500456cb)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "1c2d797bb96a81e9ef570c7a0a37203e">
-  <!ENTITY gst10-plugins-bad-size          "4.3 MB">
+  <!ENTITY gst10-plugins-bad-md5sum        "e508da2a8a5c3d12264fe3415be2f451">
+  <!ENTITY gst10-plugins-bad-size          "4.2 MB">
   <!ENTITY gst10-plugins-bad-buildsize     "195 MB (with tests)">
-  <!ENTITY gst10-plugins-bad-time          "4.0 SBU (with tests)">
+  <!ENTITY gst10-plugins-bad-time          "4.6 SBU (with tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 88bb10f20f21de2cb71ac6b4eebad996500456cb)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
@@ -8,5 +8,5 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "20cc8231609318310f2a55f64c86cbb4">
+  <!ENTITY gst10-plugins-base-md5sum        "5421edfeb7479d5f5776e917ba30e24e">
   <!ENTITY gst10-plugins-base-size          "2.8 MB">
   <!ENTITY gst10-plugins-base-buildsize     "122 MB  (with tests)">
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 88bb10f20f21de2cb71ac6b4eebad996500456cb)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
@@ -8,5 +8,5 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "91ed4649c7c2e43a61f731d144f6f6d0">
+  <!ENTITY gst10-plugins-good-md5sum        "3eabe7277681b9bef8a64c312de03d47">
   <!ENTITY gst10-plugins-good-size          "3.1 MB">
   <!ENTITY gst10-plugins-good-buildsize     "132 MB (with tests)">
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 88bb10f20f21de2cb71ac6b4eebad996500456cb)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
@@ -8,6 +8,6 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "d9daccca9dffdbcef4373cde81f9ae2c">
-  <!ENTITY gst10-plugins-ugly-size          "880 KB">
+  <!ENTITY gst10-plugins-ugly-md5sum        "b6f47bcb3d924f7ef8a8b33ac4d037ab">
+  <!ENTITY gst10-plugins-ugly-size          "864 KB">
   <!ENTITY gst10-plugins-ugly-buildsize     "18 MB (with tests)">
   <!ENTITY gst10-plugins-ugly-time          "0.3 SBU (with tests)">
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
@@ -0,0 +1,134 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gstreamer10-vaapi-download-http "&gstreamer-dl;/gstreamer-vaapi/gstreamer-vaapi-&gstreamer-vaapi-version;.tar.xz">
+  <!ENTITY gstreamer10-vaapi-download-ftp  " ">
+  <!ENTITY gstreamer10-vaapi-md5sum        "fbd2b307e6c007c44b65694f88bd8f16">
+  <!ENTITY gstreamer10-vaapi-size          "896 KB">
+  <!ENTITY gstreamer10-vaapi-buildsize     "60 MB (with tests)">
+  <!ENTITY gstreamer10-vaapi-time          "0.5 SBU (with tests)">
+]>
+
+<sect1 id="gstreamer10-vaapi" xreflabel="gstreamer-vaapi-&gstreamer-vaapi-version;">
+  <?dbhtml filename="gstreamer10-vaapi.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>GStreamer-vaapi-&gstreamer-vaapi-version;</title>
+
+  <indexterm zone="gstreamer10-vaapi">
+    <primary sortas="a-gstreamer10-vaapi">gstreamer-vaapi</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to gstreamer-vaapi</title>
+
+    <para>
+      The <application>gstreamer-vaapi</application> package contains a
+      <application>GStreamer</application> plugin for hardware accelerated
+      video decode/encode for the prevailing coding standards today (MPEG-2,
+      MPEG-4 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/VMW3). 
+    </para>
+
+    &lfs79_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gstreamer10-vaapi-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gstreamer10-vaapi-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gstreamer10-vaapi-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gstreamer10-vaapi-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gstreamer10-vaapi-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gstreamer10-vaapi-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GStreamer-vaapi Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gstreamer10"/>,
+      <xref linkend="gst10-plugins-base"/>, and
+      <xref linkend="gst10-plugins-bad"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/gstreamer10-vaapi"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of gstreamer-vaapi</title>
+
+    <para>
+      Install <application>gstreamer-vaapi</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libgstvaapi.so
+        </seg>
+        <seg>
+          /usr/share/gtk-doc/html/gstreamer-vaapi-plugins-1.0
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 88bb10f20f21de2cb71ac6b4eebad996500456cb)
+++ multimedia/libdriv/gstreamer10.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
@@ -7,6 +7,6 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "6846d7289ec323c38c49b818171e955a">
-  <!ENTITY gstreamer10-size          "3.5 MB">
+  <!ENTITY gstreamer10-md5sum        "711ada79b63e47ac96adb4e5444dc908">
+  <!ENTITY gstreamer10-size          "3.4 MB">
   <!ENTITY gstreamer10-buildsize     "116 MB (with tests)">
   <!ENTITY gstreamer10-time          "2.3 SBU (with tests)">
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision 88bb10f20f21de2cb71ac6b4eebad996500456cb)
+++ multimedia/libdriv/libdriv.xml	(revision 479d9b9d5cc7cc1cc851bb6a4333b0dc42a7ce8c)
@@ -42,4 +42,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-ugly.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-libav.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gstreamer10-vaapi.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="icedtea-sound.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="liba52.xml"/>