Index: basicnet/mailnews/fetchmail.xml
===================================================================
--- basicnet/mailnews/fetchmail.xml	(revision b849a36d53588c635cc17e42ae8607a8966746a0)
+++ basicnet/mailnews/fetchmail.xml	(revision 481b3e81f82d7624c61520ebb60be6fd03532820)
@@ -15,24 +15,24 @@
 <sect1 id="fetchmail" xreflabel="Fetchmail">
   <?dbhtml filename="fetchmail.html"?>
-  
+
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
-  
+
   <title>Fetchmail-&fetchmail-version;</title>
-  
+
   <indexterm zone="fetchmail">
     <primary sortas="a-Fetchmail">Fetchmail</primary>
   </indexterm>
-  
+
   <sect2 role="package">
     <title>Introduction to Fetchmail</title>
-    
+
     <para>The <application>Fetchmail</application> package contains a mail
     retrieval program. &quot;It retrieves mail from remote mail servers and
     forwards it to your local (client) machine's delivery system, so it can then be
     read by normal mail user agents.&quot; </para>
-    
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing='compact'>
@@ -56,89 +56,89 @@
       </listitem>
     </itemizedlist>
-    
+
     <bridgehead renderas="sect3">Fetchmail Dependencies</bridgehead>
-    
+
     <bridgehead renderas="sect4">Required</bridgehead>
     <para><xref linkend="openssl"/> and a local MDA (<xref linkend="procmail"/>)</para>
-    
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para><xref linkend="python"/> and <xref linkend="tk"/></para>
-    
+
   </sect2>
-  
+
   <sect2 role="installation">
     <title>Installation of Fetchmail</title>
-    
-    <para>Install <application>Fetchmail</application> by running the following 
+
+    <para>Install <application>Fetchmail</application> by running the following
     commands:</para>
-    
+
 <screen><userinput>./configure --prefix=/usr --with-ssl --enable-fallback=procmail &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen>
-    
+
   </sect2>
-  
+
   <sect2 role="commands">
     <title>Command Explanations</title>
-    
-    <para><parameter>--with-ssl</parameter>: This enables SSL if found, so that 
+
+    <para><parameter>--with-ssl</parameter>: This enables SSL if found, so that
     you can handle connections to secure POP3 and IMAP servers.</para>
-    
+
     <para><parameter>--enable-fallback=procmail</parameter>: This tells
     <application>Fetchmail</application> to hand incoming mail to
     <application>Procmail</application> for delivery if your port 25 mail server is
     not present or not responding.</para>
-    
+
   </sect2>
-  
+
   <sect2 role="configuration">
     <title>Configuring Fetchmail</title>
-    
+
     <sect3 id="fetchmail-config">
       <title>Config Files</title>
-      
+
       <para><filename>~/.fetchmailrc</filename></para>
-      
+
       <indexterm zone="fetchmail fetchmail-config">
         <primary sortas="e-AA.fetchmailrc">~/.fetchmailrc</primary>
       </indexterm>
-      
+
     </sect3>
-    
+
     <sect3>
       <title>Configuration Information</title>
-      
+
 <screen><userinput>cat &gt; ~/.fetchmailrc &lt;&lt; "EOF"
 <literal>set logfile /var/log/fetchmail.log
 set no bouncemail
 set postmaster root
-            
-poll SERVERNAME : 
+
+poll SERVERNAME :
     user <replaceable>[username]</replaceable> pass <replaceable>[password]</replaceable>;
     mda "/usr/bin/procmail -f %F -d %T";</literal>
 EOF
-          
+
 chmod -v 0600 ~/.fetchmailrc</userinput></screen>
-      
-      <para>This is an example configuration that should suffice for most people. 
+
+      <para>This is an example configuration that should suffice for most people.
       You can add as many users and servers as you need using the same syntax.</para>
-      
+
       <para><command>man fetchmail</command>: Look for the section near
-      the bottom named <emphasis role="strong">CONFIGURATION EXAMPLES</emphasis>. It 
-      gives some quick examples. There are countless other config options once 
+      the bottom named <emphasis role="strong">CONFIGURATION EXAMPLES</emphasis>. It
+      gives some quick examples. There are countless other config options once
       you get used to it.</para>
-      
+
     </sect3>
-    
+
   </sect2>
-  
+
   <sect2 role="content">
     <title>Contents</title>
-    
+
     <segmentedlist>
       <segtitle>Installed Program</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
-      
+
       <seglistitem>
         <seg>fetchmail and fetchmailconf</seg>
@@ -147,10 +147,10 @@
       </seglistitem>
     </segmentedlist>
-    
+
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-      
+
       <varlistentry id="fetchmail-prog">
         <term><command>fetchmail</command></term>
@@ -163,10 +163,10 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="fetchmailconf">
         <term><command>fetchmailconf</command></term>
         <listitem>
           <para>this program provides a <application>Tk</application>
-            <acronym>GUI</acronym> interface to your <filename>~/.fetchmailrc</filename>
+            GUI interface to your <filename>~/.fetchmailrc</filename>
             file making it much easier to configure.  However, you will require
             <application>Python</application>, and it must have the Tkinker module
@@ -177,8 +177,8 @@
         </listitem>
       </varlistentry>
-      
+
     </variablelist>
-    
+
   </sect2>
-  
+
 </sect1>