Index: server/mail/courier/courier-exp.xml
===================================================================
--- server/mail/courier/courier-exp.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ server/mail/courier/courier-exp.xml	(revision 0482b012c6d5a409f6aaf2928fbd4220ef27d332)
@@ -2,24 +2,30 @@
 <title>Command explanations</title>
 
-<para><command>--sysconfdir=/etc/courier</command> : Specifies the directory where Courier's configuration
+<para><parameter>--sysconfdir=/etc/courier</parameter>: Specifies the
+directory where <application>Courier</application>'s configuration
 files are installed.</para>
 
-<para><command>--with-piddir=/var/run</command> : Specfies the directory where Courier's pid files are stored
-when Courier is active.</para>
+<para><parameter>--with-piddir=/var/run</parameter>: Specfies the
+directory where <application>Courier</application>'s pid files are stored
+when <application>Courier</application> is active.</para>
 
-<para><command>--libexecdir=/usr/libexec</command> : libexecdir contains programs and libraries that cannot
+<para><parameter>--libexecdir=/usr/sbin</parameter>: libexecdir contains programs and libraries that cannot
 be directly executed from the command line.</para>
 
-<para><command>--datadir=/usr/share/courier</command> : Specifies the directory where miscellaneous shell
-scripts, Perl scripts, and data files will be installed.</para>
+<para><parameter>--datadir=/usr/share/courier</parameter>: Specifies the directory where miscellaneous shell
+scripts, <application>Perl</application> scripts, and data files will be installed.</para>
 
-<para><command> --localstatedir=/var/lib/courier</command> : specifies the directory that will hold the mail 
+<para><parameter>--localstatedir=/var/lib/courier</parameter>: specifies the directory that will hold the mail 
 queue, and other temporary data. This option defaults to the subdirectory "var" in the directory specified
 by the --prefix option.</para>
 
-<para><command>--disable-root-check</command> : Allows Courier to be built as the root user.</para>
+<para><option>--disable-root-check</option>: Allows
+<application>Courier</application> to be built as the root user.</para>
 
-<para><command>--with-db=gbbm</command> : Courier requires either the GDBM or the DB database library.
-GDBM is used if both are present. This option forces the selection of the database library.
+<para><parameter>--with-db=gbbm</parameter>:
+<application>Courier</application> requires either the
+<application><acronym>GDBM</acronym></application> or the
+<application>DB</application> database library.
+<application><acronym>GDBM</acronym></application> is used if both are present. This option forces the selection of the database library.
 </para>
 
@@ -27,17 +33,22 @@
 will not be created correctly -->
 
-<para><command>--with-mailuser=courier</command> : All except two Courier daemons run as a non-privileged
-user. This option specifies the userid that Courier will install and run as.</para>
+<para><parameter>--with-mailuser=courier</parameter>: All except two
+<application>Courier</application> daemons run as a non-privileged
+user. This option specifies the userid that
+<application>Courier</application> will install and run as.</para>
 
-<para><command>--withmailgroup=courier</command> : like --with-mailuser, but specifies the group ID.</para>
+<para><parameter>--withmailgroup=courier</parameter>: like --with-mailuser, but specifies the group ID.</para>
 
-<para><command>--enable-workarounds-for-imap-client-bugs</command> : there are several confirmed bugs in some
-IMAP clients that do not properly implement the IMAP4rev1 protocol. This option enables some workarounds for
-those buggy IMAP clients. NOTE: make check will fail if this option is used. You should first configure
+<para><option>--enable-workarounds-for-imap-client-bugs</option>: there are several confirmed bugs in some
+<acronym>IMAP</acronym> clients that do not properly implement the
+<acronym>IMAP</acronym>4rev1 protocol. This option enables some workarounds for
+those buggy <acronym>IMAP</acronym> clients. NOTE: make check will fail if this option is used. You should first configure
 without this option, and if all post-configuration tests succeed, rerun configure with this option and recompile.</para>
 
-<para><command>--with-ispell=/usr/bin/aspell</command> : Courier's webmail server can use spell checking, if
+<para><parameter>--with-ispell=/usr/bin/aspell</parameter>:
+<application>Courier</application>'s webmail server can use spell checking, if
 the aspell program is available. If configure finds ispell, spell checking is enabled. If aspell is not in the
-current search path, use --with-ispell=program to explicitly set the location of aspell.</para>
+current search path, use --with-ispell=program to explicitly set the
+location of <application>aspell</application>.</para>
 
 </sect2>
Index: server/mail/courier/courier-inst.xml
===================================================================
--- server/mail/courier/courier-inst.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ server/mail/courier/courier-inst.xml	(revision 0482b012c6d5a409f6aaf2928fbd4220ef27d332)
@@ -13,5 +13,5 @@
 
 <screen><userinput><command>./configure ./configure --prefix=/usr --sysconfdir=/etc/courier --with-piddir=/var/run \
---libexecdir=/usr/libexec --datadir=/usr/share/courier \
+--libexecdir=/usr/sbin --datadir=/usr/share/courier \
 --localstatedir=/var/lib/courier --disable-root-check --with-db=gdbm \
 --with-mailuser=courier --withmailgroup=courier \
Index: server/mail/exim/exim-exp.xml
===================================================================
--- server/mail/exim/exim-exp.xml	(revision f0334b254e45b9514470dfef222dac1a27005b4a)
+++ server/mail/exim/exim-exp.xml	(revision 0482b012c6d5a409f6aaf2928fbd4220ef27d332)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><command>sed -e ... > Local/Makefile</command> : Many of exim's
+<para><command>sed -e ... > Local/Makefile</command>: Many of exim's
 configuration options are compiled in. Here, we specify the minimum set
 of options, BIN_DIRECTORY, CONFIGURE_FILE and EXIM_USER. We also defer
@@ -8,5 +8,5 @@
 support, by commenting out the EXIM_MONITOR line in the Makefile.</para>
 
-<para><command>ln -s exim /usr/sbin/sendmail</command> :
+<para><command>ln -s exim /usr/sbin/sendmail</command>:
 Create a link to sendmail for applications which need it. exim will
 accept most Sendmail command line options.</para>