Index: general/genlib/icu.xml
===================================================================
--- general/genlib/icu.xml	(revision fef2695946af3bf41b56813103a124fab5e723c8)
+++ general/genlib/icu.xml	(revision 488b738f41df2d9c03c3acf6f2e1c54c19310144)
@@ -8,8 +8,8 @@
            "http://download.icu-project.org/files/icu4c/&icu-version;/icu4c-&icu-dl-version;-src.tgz">
   <!ENTITY icu-download-ftp  " ">
-  <!ENTITY icu-md5sum        "43861b127744b3c0b9d7f386f4b9fa40">
+  <!ENTITY icu-md5sum        "68fe38999fef94d622bd6843d43c0615">
   <!ENTITY icu-size          "22 MB">
-  <!ENTITY icu-buildsize     "293 MB (add 33 MB for tests)">
-  <!ENTITY icu-time          "0.4 SBU (using parallelism=4; add 1.4 SBU for tests)">
+  <!ENTITY icu-buildsize     "330 MB (add 32 MB for tests)">
+  <!ENTITY icu-time          "1.7 SBU (add 1.6 SBU for tests)">
 ]>
 
Index: general/prog/apache-ant.xml
===================================================================
--- general/prog/apache-ant.xml	(revision fef2695946af3bf41b56813103a124fab5e723c8)
+++ general/prog/apache-ant.xml	(revision 488b738f41df2d9c03c3acf6f2e1c54c19310144)
@@ -7,8 +7,8 @@
   <!ENTITY apache-ant-download-http "https://archive.apache.org/dist/ant/source/apache-ant-&apache-ant-version;-src.tar.xz">
   <!ENTITY apache-ant-download-ftp  " ">
-  <!ENTITY apache-ant-md5sum        "57235f3dccfc4b18a260862905ce6c04">
-  <!ENTITY apache-ant-size          "3.6 MB">
-  <!ENTITY apache-ant-buildsize     "262 MB">
-  <!ENTITY apache-ant-time          "0.3 SBU (with a JVM using 4 cores)">
+  <!ENTITY apache-ant-md5sum        "9db4b8ebdf3ee3a50aceb96ee6d54e6a">
+  <!ENTITY apache-ant-size          "4.0 MB">
+  <!ENTITY apache-ant-buildsize     "262 MB (not including downloaded files">
+  <!ENTITY apache-ant-time          "0.3 SBU (with 4 cores; add download time)">
 ]>
 
@@ -63,5 +63,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -91,5 +91,5 @@
       </listitem>
     </itemizedlist>
-
+-->
     <bridgehead renderas="sect3">Apache Ant Dependencies</bridgehead>
 
@@ -112,5 +112,5 @@
   <sect2 role="installation">
     <title>Installation of Apache Ant</title>
-
+<!--
     <note><para>Several dependent packages have moved since the packaging of
     <application>Ant</application> requiring download of the above extra files.
@@ -122,22 +122,30 @@
       ../xz-1.0.jar  lib     &amp;&amp;
 unzip -p ../NetRexx-3.06-GA.zip lib/NetRexxC.jar > lib/NetRexxC.jar</userinput></screen>
-
-    <para>Build a limited bootstrap version of <application>Apache
-    Ant</application> using the following command:</para>
+-->
+    <para>
+      Build a limited bootstrap version of <application>Apache
+      Ant</application> using the following command:
+    </para>
 
 <screen><userinput>./bootstrap.sh</userinput></screen>
 
-    <para>Download the rest of the runtime dependencies using the
-    <filename>fetch.xml</filename> ant build script:</para>
-
-<screen><userinput>bootstrap/bin/ant -f fetch.xml -Ddest=system || true &amp;&amp;
+    <para>
+      Download the runtime dependencies using the
+      <filename>fetch.xml</filename> ant build script:
+    </para>
+
+<screen><userinput>bootstrap/bin/ant -f fetch.xml -Ddest=system &amp;&amp;
 cp -v lib/*.jar lib/optional/</userinput></screen>
 
-    <para>Build <application>Apache Ant</application> by running the following
-    command:</para>
+    <para>
+      Build <application>Apache Ant</application> by running the following
+      command:
+    </para>
 
 <screen><userinput>./build.sh -Ddist.dir=$PWD/ant-&apache-ant-version; dist</userinput></screen>
 
-    <para>Install, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      Install, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>cp -rv ant-&apache-ant-version; /opt/            &amp;&amp;
@@ -150,16 +158,21 @@
     <title>Command Explanations</title>
 
-    <para><command>bootstrap/bin/ant -f fetch.xml -Ddest=system ||
-    true</command>: These commands download the rest of the missing dependencies
-    into the source tree (in the <filename>lib/</filename> directory).</para>
-
-    <para><command>cp -v ... lib/optional</command>: This command copies the
-    previously downloaded jar files to the expected place in the source
-    tree so that <command>ant</command> picks them up at buld time.</para>
-
-    <para><command>./build.sh -Ddist.dir=$PWD/ant-&apache-ant-version;
-    dist</command>: This command builds, tests, then
-    installs the package into
-    <filename class='directory'>a temporary directory.</filename>.</para>
+    <para>
+      <command>bootstrap/bin/ant -f fetch.xml -Ddest=system</command>:
+      Downloads the missing dependencies to user's home directory, and copy
+      them into the source tree (in the <filename>lib/</filename> directory).
+    </para>
+
+    <para>
+      <command>cp -v ... lib/optional</command>: This command copies the
+      previously downloaded jar files to the expected place in the source
+      tree so that <command>ant</command> picks them up at buld time.
+    </para>
+
+    <para>
+      <command>./build.sh -Ddist.dir=$PWD/ant-&apache-ant-version;
+      dist</command>: This command builds, tests, then installs the package
+      into a temporary directory.
+    </para>
 
   </sect2>
@@ -222,6 +235,10 @@
 
       <seglistitem>
-        <seg>ant, antRun, antRun.pl, complete-ant-cmd.pl, runant.pl, and runant.py</seg>
-        <seg>ant*.jar</seg>
+        <seg>
+          ant, antRun, antRun.pl, complete-ant-cmd.pl, runant.pl, and runant.py         </seg>
+        <seg>
+          Numerous <filename>ant*.jar</filename>  and dependant libraries in
+          <envar>$ANT_HOME</envar><filename>/lib</filename>
+        </seg>
         <seg>/opt/ant-&apache-ant-version;</seg>
       </seglistitem>
Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision fef2695946af3bf41b56813103a124fab5e723c8)
+++ general/prog/vala.xml	(revision 488b738f41df2d9c03c3acf6f2e1c54c19310144)
@@ -7,8 +7,8 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "cabefb88e75c4d729cdd2db4ba7eff13">
+  <!ENTITY vala-md5sum        "e7d05683bcac0306fc8d7c875eb3fef1">
   <!ENTITY vala-size          "3.2 MB">
-  <!ENTITY vala-buildsize     "111 MB (including tests)">
-  <!ENTITY vala-time          "0.8 SBU (using parallelism=4; with tests)">
+  <!ENTITY vala-buildsize     "142 MB (including tests)">
+  <!ENTITY vala-time          "1.1 SBU (add 0.6 SBU for tests)">
 ]>
 
@@ -150,26 +150,24 @@
           vala-&vala-major-version;, 
           valac, 
-          valadoc, 
-          vala-gen-introspect,
-          vapicheck, and 
+          valadoc (not built if the sed is applied), 
+          vala-gen-introspect, and
           vapigen (symlinks);
 
           valac-&vala-major-version;,
-          valadoc-&vala-major-version;,
-          vala-gen-introspect-&vala-major-version;,
-          vapicheck-&vala-major-version;, and
+          valadoc-&vala-major-version; (not built if the sed is applied),
+          vala-gen-introspect-&vala-major-version;, and
           vapigen-&vala-major-version;
         </seg>
         <seg>
           libvala-&vala-major-version;.so and
-          libvaladoc-&vala-major-version;.so
+          libvaladoc-&vala-major-version;.so (not built if the sed is applied)
         </seg>
         <seg>
           /usr/include/vala-&vala-major-version;,
-          /usr/include/valadoc-&vala-major-version;,
+          /usr/include/valadoc-&vala-major-version; (not built if the sed is applied),
           /usr/lib/vala-&vala-major-version;,
-          /usr/lib/valadoc,
+          /usr/lib/valadoc (not built if the sed is applied),
           /usr/share/vala, 
-          /usr/share/valadoc,
+          /usr/share/valadoc (not built if the sed is applied),
           /usr/share/devhelp/books/vala-&vala-major-version;, and
           /usr/share/vala-&vala-major-version;
@@ -209,4 +207,5 @@
       </varlistentry>
 
+<!--
       <varlistentry id="vapicheck">
         <term><command>vapicheck</command></term>
@@ -219,5 +218,5 @@
           </indexterm>
         </listitem>
-      </varlistentry>
+      </varlistentry>-->
 
       <varlistentry id="vapigen">