Index: gnome/applications/gnome-nettool.xml
===================================================================
--- gnome/applications/gnome-nettool.xml	(revision b049409e612414e942153c43e0ac362815bb0215)
+++ gnome/applications/gnome-nettool.xml	(revision 0489fbefb32965bb0ee904daecef86391afdcb8a)
@@ -6,9 +6,9 @@
 
   <!ENTITY gnome-nettool-download-http
-           "&gnome-download-http;/gnome-nettool/3.2/gnome-nettool-&gnome-nettool-version;.tar.xz">
+           "&gnome-download-http;/gnome-nettool/3.8/gnome-nettool-&gnome-nettool-version;.tar.xz">
   <!ENTITY gnome-nettool-download-ftp
-           "&gnome-download-ftp;/gnome-nettool/3.2/gnome-nettool-&gnome-nettool-version;.tar.xz">
-  <!ENTITY gnome-nettool-md5sum        "18b97581aee0d297d9ec5df60b550dc6">
-  <!ENTITY gnome-nettool-size          "572 KB">
+           "&gnome-download-ftp;/gnome-nettool/3.8/gnome-nettool-&gnome-nettool-version;.tar.xz">
+  <!ENTITY gnome-nettool-md5sum        "d4fc944b7ba8fd5f49f04a73e0d37e80">
+  <!ENTITY gnome-nettool-size          "576 KB">
   <!ENTITY gnome-nettool-buildsize     "14 MB">
   <!ENTITY gnome-nettool-time          "0.1 SBU">
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -119,12 +119,4 @@
   </sect2>
 
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/without-scrollkeeper.xml"/>
-
-  </sect2>
-
   <sect2 role="content">
     <title>Contents</title>
@@ -143,7 +135,6 @@
         </seg>
         <seg>
-          /usr/share/gnome/help/gnome-nettool,
           /usr/share/gnome-nettool and
-          /usr/share/omf/gnome-nettool
+          /usr/share/help/*/gnome-nettool
         </seg>
       </seglistitem>
Index: gnome/applications/gnome-power-manager.xml
===================================================================
--- gnome/applications/gnome-power-manager.xml	(revision b049409e612414e942153c43e0ac362815bb0215)
+++ gnome/applications/gnome-power-manager.xml	(revision 0489fbefb32965bb0ee904daecef86391afdcb8a)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-power-manager-download-http
-           "&gnome-download-http;/gnome-power-manager/3.6/gnome-power-manager-&gnome-power-manager-version;.tar.xz">
+           "&gnome-download-http;/gnome-power-manager/3.8/gnome-power-manager-&gnome-power-manager-version;.tar.xz">
   <!ENTITY gnome-power-manager-download-ftp
-           "&gnome-download-ftp;/gnome-power-manager/3.6/gnome-power-manager-&gnome-power-manager-version;.tar.xz">
-  <!ENTITY gnome-power-manager-md5sum        "3bc0f6bf7040d3f4916def26359f20ee">
-  <!ENTITY gnome-power-manager-size          "728 KB">
-  <!ENTITY gnome-power-manager-buildsize     "13 MB">
+           "&gnome-download-ftp;/gnome-power-manager/3.8/gnome-power-manager-&gnome-power-manager-version;.tar.xz">
+  <!ENTITY gnome-power-manager-md5sum        "f6d16edbb5e539a9ba3e66d63e4799d0">
+  <!ENTITY gnome-power-manager-size          "448 KB">
+  <!ENTITY gnome-power-manager-buildsize     "9.0 MB">
   <!ENTITY gnome-power-manager-time          "less than 0.1 SBU">
 ]>
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -77,6 +77,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk3"/>,
-      <xref linkend="intltool"/> and
+      <xref linkend="gtk3"/> and
       <xref linkend="upower"/>
     </para>
@@ -121,5 +120,5 @@
       <segtitle>Installed Program</segtitle>
       <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
@@ -131,5 +130,5 @@
         </seg>
         <seg>
-          /usr/share/gnome-power-manager
+          None
         </seg>
       </seglistitem>
Index: gnome/applications/gnome-system-monitor.xml
===================================================================
--- gnome/applications/gnome-system-monitor.xml	(revision b049409e612414e942153c43e0ac362815bb0215)
+++ gnome/applications/gnome-system-monitor.xml	(revision 0489fbefb32965bb0ee904daecef86391afdcb8a)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-system-monitor-download-http
-           "&gnome-download-http;/gnome-system-monitor/3.6/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
+           "&gnome-download-http;/gnome-system-monitor/3.8/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
   <!ENTITY gnome-system-monitor-download-ftp
-           "&gnome-download-ftp;/gnome-system-monitor/3.6/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
-  <!ENTITY gnome-system-monitor-md5sum        "a4f143e1f07455182a7119e9fcc604fc">
-  <!ENTITY gnome-system-monitor-size          "2.6 MB">
-  <!ENTITY gnome-system-monitor-buildsize     "36 MB">
+           "&gnome-download-ftp;/gnome-system-monitor/3.8/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
+  <!ENTITY gnome-system-monitor-md5sum        "414cfebd9ff4a314692faa78a0a046b5">
+  <!ENTITY gnome-system-monitor-size          "2.8 MB">
+  <!ENTITY gnome-system-monitor-buildsize     "40 MB">
   <!ENTITY gnome-system-monitor-time          "0.4 SBU">
 ]>
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs72_checked;
+    &lfs73_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -99,5 +99,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --libexecdir=/usr/lib &amp;&amp;
 make</userinput></screen>
 
@@ -130,4 +130,5 @@
         </seg>
         <seg>
+          /usr/lib/gnome-system-monitor,
           /usr/share/gnome-system-monitor,
           /usr/share/help/*/gnome-system-monitor and
Index: gnome/platform/gnome-themes-standard.xml
===================================================================
--- gnome/platform/gnome-themes-standard.xml	(revision b049409e612414e942153c43e0ac362815bb0215)
+++ gnome/platform/gnome-themes-standard.xml	(revision 0489fbefb32965bb0ee904daecef86391afdcb8a)
@@ -79,6 +79,5 @@
     <para role="required">
       <xref linkend="gtk2"/>,
-      <xref linkend="gtk3"/>,
-      <xref linkend="intltool"/> and
+      <xref linkend="gtk3"/> and
       <xref linkend="librsvg"/>
     </para>
Index: gnome/platform/gtksourceview.xml
===================================================================
--- gnome/platform/gtksourceview.xml	(revision b049409e612414e942153c43e0ac362815bb0215)
+++ gnome/platform/gtksourceview.xml	(revision 0489fbefb32965bb0ee904daecef86391afdcb8a)
@@ -78,6 +78,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk3"/> and
-      <xref linkend="intltool"/>
+      <xref linkend="gtk3"/>
     </para>
 
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision b049409e612414e942153c43e0ac362815bb0215)
+++ gnome/platform/libwnck.xml	(revision 0489fbefb32965bb0ee904daecef86391afdcb8a)
@@ -75,6 +75,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk3"/> and
-      <xref linkend="intltool"/>
+      <xref linkend="gtk3"/>
     </para>
 
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision b049409e612414e942153c43e0ac362815bb0215)
+++ gnome/platform/vte.xml	(revision 0489fbefb32965bb0ee904daecef86391afdcb8a)
@@ -75,6 +75,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk3"/> and
-      <xref linkend="intltool"/>
+      <xref linkend="gtk3"/>
     </para>
 