Index: gnome-systemd/telepathy/telepathy-salut.xml
===================================================================
--- gnome-systemd/telepathy/telepathy-salut.xml	(revision 490af128203b70f6485b0f4b89a9260bba8dbd58)
+++ gnome-systemd/telepathy/telepathy-salut.xml	(revision 490af128203b70f6485b0f4b89a9260bba8dbd58)
@@ -0,0 +1,187 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY telepathy-salut-download-http
+           "http://telepathy.freedesktop.org/releases/telepathy-salut/telepathy-salut-&telepathy-salut-version;.tar.gz">
+  <!ENTITY telepathy-salut-download-ftp  " ">
+  <!ENTITY telepathy-salut-md5sum        "7516e6f6fa56a61054413a03642b938d">
+  <!ENTITY telepathy-salut-size          "1.8 MB">
+  <!ENTITY telepathy-salut-buildsize     "59 MB">
+  <!ENTITY telepathy-salut-time          "0.5 SBU">
+]>
+
+<sect1 id="telepathy-salut" xreflabel="telepathy-salut-&telepathy-salut-version;">
+  <?dbhtml filename="telepathy-salut.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>telepathy-salut-&telepathy-salut-version;</title>
+
+  <indexterm zone="telepathy-salut">
+    <primary sortas="a-telepathy-salut">telepathy-salut</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Telepathy Salut</title>
+
+    <para>
+      <application>Telepathy Salut</application> is a link-local XMPP (XEP-0174) connection
+      manager for the <application>Telepathy</application> framework.
+    </para>
+
+    &lfs75_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&telepathy-salut-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&telepathy-salut-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &telepathy-salut-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &telepathy-salut-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &telepathy-salut-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &telepathy-salut-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Telepathy Salut Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="avahi"/>,
+      <xref linkend="gnutls"/> or
+      <xref linkend="openssl"/>,
+      <xref linkend="libsoup"/>, and
+      <xref linkend="telepathy-glib"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="cyrus-sasl"/> and
+      <ulink url="https://twistedmatrix.com/trac/">Twisted</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/telepathy-salut"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Telepathy Salut</title>
+
+    <para>
+      Install <application>Telepathy Salut</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr         \
+            --disable-avahi-tests \
+            --disable-static      \
+            --docdir=/usr/share/doc/telepathy-salut-&telepathy-salut-version; &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <parameter>--disable-avahi-tests</parameter>: This switch is used
+      to disable <application>Avahi</application> tests. Remove it if
+      you have installed <application>Twisted</application> and wish
+      to run them.
+    </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <para>
+      <option>--with-ssl=openssl</option>: Use this switch if you
+      would like to use <xref linkend="openssl"/> instead of
+      <xref linkend="gnutls"/> in case both are installed.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          telepathy-salut
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          /usr/lib/telepathy/salut-0 and
+          /usr/share/doc/telepathy-salut-&telepathy-salut-version; 
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="telepathy-salut-prog">
+        <term><command>telepathy-salut</command></term>
+        <listitem>
+          <para>
+            is the <application>Telepathy</application> connection manager
+            for link-local XMPP.
+          </para>
+          <indexterm zone="telepathy-salut telepathy-salut-prog">
+            <primary sortas="b-telepathy-salut">telepathy-salut</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>