Index: general.ent
===================================================================
--- general.ent	(revision b33a660ab21297c6a102c2358f58b432a7941156)
+++ general.ent	(revision 0492ab08f701827c858c2fd9d53fc01d599dc25c)
@@ -509,5 +509,5 @@
 <!ENTITY gconf-editor-version         "2.18.0">
 <!ENTITY gdm-version                  "2.18.3">
-<!ENTITY gedit-version                "2.18.1">
+<!ENTITY gedit-version                "2.18.2">
 <!ENTITY gnome-games-version          "2.18.2.1">
 <!ENTITY gnome-keyring-manager-version "2.18.0">
Index: gnome/add/gedit.xml
===================================================================
--- gnome/add/gedit.xml	(revision b33a660ab21297c6a102c2358f58b432a7941156)
+++ gnome/add/gedit.xml	(revision 0492ab08f701827c858c2fd9d53fc01d599dc25c)
@@ -7,8 +7,8 @@
   <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-version;/gedit-&gedit-version;.tar.bz2">
   <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-version;/gedit-&gedit-version;.tar.bz2">
-  <!ENTITY gedit-md5sum        "189d4d9128eca1162a782744cb324aea">
-  <!ENTITY gedit-size          "2.3 MB">
-  <!ENTITY gedit-buildsize     "64.9 MB">
-  <!ENTITY gedit-time          "0.7 SBU">
+  <!ENTITY gedit-md5sum        "7e8bf29bd6bf0d17ceaf42d9bd5d94e6">
+  <!ENTITY gedit-size          "3.4 MB">
+  <!ENTITY gedit-buildsize     "80 MB">
+  <!ENTITY gedit-time          "1.1 SBU (includes spell-check support and Python plugins)">
 ]>
 
@@ -59,16 +59,26 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required"><xref linkend="libgnomeui"/>,
+    <xref linkend="libgnomeprintui"/>,
     <xref linkend="gnome-doc-utils"/>,
     <xref linkend="gtksourceview"/>, and
     <xref linkend="which"/></para>
 
+    <bridgehead renderas="sect4">Optional (to Provide Spell-Checking Capability)</bridgehead>
+    <para role="optional"><xref linkend="iso-codes"/> and
+    <ulink url="http://www.abisource.com/projects/enchant/">Enchant</ulink>*</para>
+
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><xref linkend="intltool"/>,
-    <xref linkend="aspell"/>,
-    <xref linkend="pyxml"/>, and
-    <ulink url="&gnome-download-http;/gnome-python-desktop/2.14/">gnome-python-desktop</ulink>
+    <xref linkend="gtk-doc"/>,
+    <ulink url="ftp://oss.sgi.com/projects/xfs/cmd_tars/">libattr</ulink>, and
+    <ulink url="&gnome-download-http;/gnome-python-desktop">gnome-python-desktop</ulink>
     (requires <ulink url="http://www.pygtk.org/">PyGTK</ulink> and can use
     <ulink url="&gnome-download-http;/gnome-python/">GNOME-Python</ulink> and
     <ulink url="&gnome-download-http;/pyorbit/">PyORBit</ulink>)</para>
+
+    <para>* <xref linkend="aspell"/> is just one of many backend spell libraries
+    <application>Enchant</application> can use. See the
+    <application>Enchant</application> project page (URL above) for additional
+    information about the available backends.</para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -86,6 +96,5 @@
             --sysconfdir=&gnome-etc-dir; \
             --localstatedir=/var/lib \
-            --mandir=$(pkg-config \
-                --variable=prefix ORBit-2.0)/share/man &amp;&amp;
+            --disable-spell &amp;&amp;
 make</userinput></screen>
 
@@ -110,10 +119,15 @@
     href="../../xincludes/scrollkeeper-dir.xml"/>
 
+    <para><parameter>--disable-spell</parameter>: This parameter disables
+    spell-checking capability and is required if
+    <application>Enchant</application> is not installed. Remove the
+    parameter if <application>Enchant</application> is installed.</para>
+
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../xincludes/gnome-mandir.xml"/>
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
 
   </sect2>
 
-  <sect2 role="configuration">
+  <!-- <sect2 role="configuration">
     <title>Configuring gedit</title>
 
@@ -131,5 +145,5 @@
     </sect3>
 
-  </sect2>
+  </sect2> -->
 
   <sect2 role="content">
@@ -145,5 +159,5 @@
         <seg><application>gedit</application> plugin modules</seg>
         <seg>The following subdirectories of <envar>$GNOME_PREFIX</envar>/:
-        include/gedit-&gnome-version;,
+        include/gedit-2.16,
         lib/gedit-2,
         share/{gedit-2, {gnome/help, omf}/gedit}</seg>
@@ -159,5 +173,6 @@
         <term><command>gedit</command></term>
         <listitem>
-          <para>is a lightweight text editor.</para>
+          <para>is a lightweight text editor integrated with the
+          GNOME desktop.</para>
           <indexterm zone="gedit gedit-prog">
             <primary sortas="b-gedit">gedit</primary>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b33a660ab21297c6a102c2358f58b432a7941156)
+++ introduction/welcome/changelog.xml	(revision 0492ab08f701827c858c2fd9d53fc01d599dc25c)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Updated to gedit-2.18.2.</para>
+        </listitem>
+        <listitem>
           <para>[dnicholson] - Updated to Iptables-1.3.8.</para>
         </listitem>
@@ -68,5 +71,5 @@
       <itemizedlist>
         <listitem>
-          <para>[ag] - Removed an obsolete text in the X Window System Components
+          <para>[ag] - Removed obsolete text in the X Window System Components
           page.</para>
         </listitem>