Index: general.ent
===================================================================
--- general.ent	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ general.ent	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "24">                   <!-- Always 2 digits -->
+<!ENTITY day          "25">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2021">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 24th, &year;">
+<!ENTITY releasedate  "January 25th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome.ent
===================================================================
--- gnome.ent	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ gnome.ent	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -62,6 +62,6 @@
 <!ENTITY gnome-settings-daemon-version     "3.38.1">
 <!ENTITY gnome-control-center-version      "3.38.3">
-<!ENTITY mutter-version                    "3.38.2">
-<!ENTITY gnome-shell-version               "3.38.2">
+<!ENTITY mutter-version                    "3.38.3">
+<!ENTITY gnome-shell-version               "3.38.3">
 <!ENTITY gnome-shell-extensions-version    "3.38.2">
 <!ENTITY gnome-session-version             "3.38.0">
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ gnome/platform/gnome-shell.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-shell-download-ftp
            "&gnome-download-ftp;/gnome-shell/&gnome-minor-38;/gnome-shell-&gnome-shell-version;.tar.xz">
-  <!ENTITY gnome-shell-md5sum        "069511072eedd1934b762320467c0ab7">
+  <!ENTITY gnome-shell-md5sum        "b5168fbfeae34eaeaf98d0ad8474f3f8">
   <!ENTITY gnome-shell-size          "1.7 MB">
   <!ENTITY gnome-shell-buildsize     "72 MB (including tests)">
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ gnome/platform/mutter.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -7,7 +7,7 @@
   <!ENTITY mutter-download-http "&gnome-download-http;/mutter/&gnome-minor-38;/mutter-&mutter-version;.tar.xz">
   <!ENTITY mutter-download-ftp  "&gnome-download-ftp;/mutter/&gnome-minor-38;/mutter-&mutter-version;.tar.xz">
-  <!ENTITY mutter-md5sum        "07307571f9f2bdb433894741222773e1">
+  <!ENTITY mutter-md5sum        "06c849b0356efcccd3e32a809110df8d">
   <!ENTITY mutter-size          "2.5 MB">
-  <!ENTITY mutter-buildsize     "140 MB">
+  <!ENTITY mutter-buildsize     "139 MB">
   <!ENTITY mutter-time          "1.3 SBU (Using parallelism=4)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ introduction/welcome/changelog.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -43,4 +43,26 @@
     -->
     <listitem>
+      <para>January 25th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to mutter-3.38.3. Fixes
+          <ulink url="&blfs-ticket-root;14519">#14519</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-shell-3.38.3. Fixes
+          <ulink url="&blfs-ticket-root;14518">#14518</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to nano-5.5. Fixes
+          <ulink url="&blfs-ticket-root;14517">#14517</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update the gstreamer stack to 1.18.3. Fixes
+          <ulink url="&blfs-ticket-root;14516">#14516</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 24th, 2021</para>
       <itemizedlist>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ multimedia/libdriv/gst10-libav.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -7,7 +7,7 @@
   <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
   <!ENTITY gst10-libav-download-ftp  " ">
-  <!ENTITY gst10-libav-md5sum        "862f655444105719e6d7e888a398267e">
-  <!ENTITY gst10-libav-size          "272 KB">
-  <!ENTITY gst10-libav-buildsize     "8.2 MB">
+  <!ENTITY gst10-libav-md5sum        "a113867d4de0403c6d4d1ad145c8a950">
+  <!ENTITY gst10-libav-size          "276 KB">
+  <!ENTITY gst10-libav-buildsize     "8.5 MB">
   <!ENTITY gst10-libav-time          "less than 0.1 SBU (Using parallelism=4)">
 ]>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "606a819cfc9f1a0b94242914f48f5df5">
+  <!ENTITY gst10-plugins-bad-md5sum        "e2ff6ae97d5831124daf168d227a2980">
   <!ENTITY gst10-plugins-bad-size          "5.4 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "131 MB (with tests)">
-  <!ENTITY gst10-plugins-bad-time          "0.8 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gst10-plugins-bad-buildsize     "144 MB (with tests)">
+  <!ENTITY gst10-plugins-bad-time          "1.0 SBU (Using parallelism=4; with tests)">
 ]>
 
@@ -156,4 +156,5 @@
       <ulink url="https://drobilla.net/software/lilv">lilv</ulink>,
       <ulink url="https://github.com/swh/LRDF">LRDF</ulink>,
+      <ulink url="https://github.com/x42/ltc-tools">ltc-tools</ulink>,
       <ulink url="https://github.com/videolabs/libmicrodns">microdns</ulink>,
       <ulink url="http://mjpeg.sourceforge.net/">MJPEG Tools</ulink>,
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "aa1cd08a72f65298e5136a9c1620c2d1">
+  <!ENTITY gst10-plugins-base-md5sum        "2c2957720cc7eeec68cb44ff26d4bec0">
   <!ENTITY gst10-plugins-base-size          "3.0 MB">
-  <!ENTITY gst10-plugins-base-buildsize     "83 MB (with tests)">
-  <!ENTITY gst10-plugins-base-time          "0.8 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gst10-plugins-base-buildsize     "99 MB (with tests)">
+  <!ENTITY gst10-plugins-base-time          "1.0 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst10-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "1a5ab378790d52a95551736db429251e">
+  <!ENTITY gst10-plugins-good-md5sum        "82aff1bfbc179bc126fbe1a2876eca52">
   <!ENTITY gst10-plugins-good-size          "3.1 MB">
-  <!ENTITY gst10-plugins-good-buildsize     "92 MB (with tests)">
-  <!ENTITY gst10-plugins-good-time          "0.5 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gst10-plugins-good-buildsize     "101 MB (with tests)">
+  <!ENTITY gst10-plugins-good-time          "0.6 SBU (Using parallelism=4; with tests)">
 ]>
 
@@ -89,13 +89,14 @@
       <xref linkend="cairo"/>,
       <xref linkend="flac"/>,
+      <xref linkend="gdk-pixbuf"/>,
       <xref linkend="lame"/>,
-      <xref linkend="mpg123"/>,
-      <xref linkend="mesa"/>,
-      <xref linkend="gdk-pixbuf"/>,
       <xref linkend="libgudev"/>,
       <xref linkend="libjpeg"/>,
       <xref linkend="libpng"/>,
       <xref linkend="libsoup"/>,
-      <xref linkend="libvpx"/>, and
+      <xref linkend="libvpx"/>,
+      <xref linkend="mesa"/>,
+      <xref linkend="mpg123"/>,
+      <xref linkend="nasm"/>, and
       <xref linkend="xorg7-lib"/> <!-- build time requirements only,
       you don't need either apps, fonts or xorg server to build this
@@ -117,6 +118,6 @@
       <xref linkend='v4l-utils'/>,
       <xref linkend="wayland"/>,
+      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>,
       <ulink url="http://jackaudio.org/">JACK</ulink>,
-      <ulink url="https://pypi.org/project/hotdoc/">hotdoc</ulink>,
       <ulink url="http://caca.zoy.org/wiki/libcaca">libcaca</ulink>,
       <ulink url="https://sourceforge.net/projects/libavc1394/">libavc1394</ulink>,
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -8,7 +8,7 @@
            "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
   <!ENTITY gst10-plugins-ugly-download-ftp  " ">
-  <!ENTITY gst10-plugins-ugly-md5sum        "5ca5beef76b5ae2208bcff56d702b06a">
-  <!ENTITY gst10-plugins-ugly-size          "496 KB">
-  <!ENTITY gst10-plugins-ugly-buildsize     "7.8 MB (with tests)">
+  <!ENTITY gst10-plugins-ugly-md5sum        "fe7b807ea4e91c757366ba209e553a99">
+  <!ENTITY gst10-plugins-ugly-size          "500 KB">
+  <!ENTITY gst10-plugins-ugly-buildsize     "9.7 MB (with tests)">
   <!ENTITY gst10-plugins-ugly-time          "less than 0.1 SBU (with tests)">
 ]>
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -7,7 +7,7 @@
   <!ENTITY gstreamer10-vaapi-download-http "&gstreamer-dl;/gstreamer-vaapi/gstreamer-vaapi-&gstreamer-vaapi-version;.tar.xz">
   <!ENTITY gstreamer10-vaapi-download-ftp  " ">
-  <!ENTITY gstreamer10-vaapi-md5sum        "847e69c82dbf2fb63cc0f038311f1d06">
+  <!ENTITY gstreamer10-vaapi-md5sum        "58923dbed8016bfefe11edf9f9fc06a0">
   <!ENTITY gstreamer10-vaapi-size          "764 KB">
-  <!ENTITY gstreamer10-vaapi-buildsize     "15 MB">
+  <!ENTITY gstreamer10-vaapi-buildsize     "16 MB">
   <!ENTITY gstreamer10-vaapi-time          "0.2 SBU">
 ]>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ multimedia/libdriv/gstreamer10.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "729e3da87743d1ef04b2cdc9a5f1dc13">
+  <!ENTITY gstreamer10-md5sum        "eb126bc230ba7cc7db9e1d1fc0b4f40d">
   <!ENTITY gstreamer10-size          "2.6 MB">
-  <!ENTITY gstreamer10-buildsize     "49 MB (with tests)">
-  <!ENTITY gstreamer10-time          "0.3 SBU (Using parallelism=4; with tests)">
+  <!ENTITY gstreamer10-buildsize     "60 MB (with tests)">
+  <!ENTITY gstreamer10-time          "0.6 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ packages.ent	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -67,5 +67,5 @@
 <!ENTITY joe-version                  "4.6">
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
-<!ENTITY nano-version                 "5.4">
+<!ENTITY nano-version                 "5.5">
 <!ENTITY vim-version                  "8.2.2253">
 <!ENTITY vim-majmin                   "82">
@@ -966,11 +966,11 @@
 <!ENTITY frei0r-version               "1.7.0">
 <!ENTITY gavl-version                 "1.4.0">
-<!ENTITY gstreamer10-version          "1.18.2">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.18.2">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.18.2">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.18.2">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.18.2">  <!-- Even minors only -->
-<!ENTITY gst10-libav-version          "1.18.2">  <!-- Even minors only -->
-<!ENTITY gstreamer-vaapi-version      "1.18.2">  <!-- Even minors only -->
+<!ENTITY gstreamer10-version          "1.18.3">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-base-version   "1.18.3">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-good-version   "1.18.3">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-bad-version    "1.18.3">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-ugly-version   "1.18.3">  <!-- Even minors only -->
+<!ENTITY gst10-libav-version          "1.18.3">  <!-- Even minors only -->
+<!ENTITY gstreamer-vaapi-version      "1.18.3">  <!-- Even minors only -->
 <!ENTITY icedtea-sound-version        "1.0.1">
 <!ENTITY id3lib-version               "3.8.3">
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision ab6bf6a6dbbd2970ea6f421fa945590e87c91769)
+++ postlfs/editors/nano.xml	(revision 498a011a4f0b56286a91dea59b3a0e1aadeed675)
@@ -8,7 +8,7 @@
   <!ENTITY nano-download-http "https://www.nano-editor.org/dist/v5/nano-&nano-version;.tar.xz">
   <!ENTITY nano-download-ftp  " ">
-  <!ENTITY nano-md5sum        "703d9b5317486c6f49918e27c435fbc9">
-  <!ENTITY nano-size          "1.3 MB">
-  <!ENTITY nano-buildsize     "23 MB">
+  <!ENTITY nano-md5sum        "145bc1ae94e25bd4f9168b7c56fee984">
+  <!ENTITY nano-size          "1.4 MB">
+  <!ENTITY nano-buildsize     "24 MB">
   <!ENTITY nano-time          "0.2 SBU">
 ]>