Index: general/prog/gcc/gcc.ent
===================================================================
--- general/prog/gcc/gcc.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/gcc/gcc.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -2,12 +2,10 @@
 <!ENTITY gcc-intro SYSTEM "gcc-intro.xml">
 <!ENTITY gcc-inst SYSTEM "gcc-inst.xml">
-<!ENTITY gcc-inst1 SYSTEM "gcc-inst1.xml">
 <!ENTITY gcc-exp SYSTEM "gcc-exp.xml">
 <!ENTITY gcc-desc SYSTEM "gcc-desc.xml">
-<!ENTITY gcc-config SYSTEM "gcc-config.xml">
-<!ENTITY gcc-buildsize "889 MB">
 <!ENTITY gcc-version "3.3.1">
 <!ENTITY gcc-download-http "http://mirrors.rcn.net/pub/sourceware/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
 <!ENTITY gcc-download-ftp "ftp://mirrors.rcn.net/pub/sourceware/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
 <!ENTITY gcc-size "23 MB">
+<!ENTITY gcc-buildsize "889 MB">
 <!ENTITY gcc-time "29.3 SBU">
Index: general/prog/gcc/gnat.ent
===================================================================
--- general/prog/gcc/gnat.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/gcc/gnat.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -2,8 +2,8 @@
 <!ENTITY gnat-intro SYSTEM "gnat-intro.xml">
 <!ENTITY gnat-inst SYSTEM "gnat-inst.xml">
-<!ENTITY gnat-buildsize "48.9 MB">
 <!ENTITY gnat-version "3.15p">
 <!ENTITY gnat-download-http "">
 <!ENTITY gnat-download-ftp "ftp://cs.nyu.edu/pub/gnat/3.15p/gnat-3.15p-i686-pc-redhat71-gnu-bin.tar.gz">
 <!ENTITY gnat-size "13.2 MB">
+<!ENTITY gnat-buildsize "48.9 MB">
 <!ENTITY gnat-time "0.01 SBU">
Index: general/prog/gcc2/gcc2.ent
===================================================================
--- general/prog/gcc2/gcc2.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/gcc2/gcc2.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -2,10 +2,10 @@
 <!ENTITY gcc2-intro SYSTEM "gcc2-intro.xml">
 <!ENTITY gcc2-inst SYSTEM "gcc2-inst.xml">
+<!ENTITY gcc2-config SYSTEM "gcc2-config.xml">
 <!ENTITY gcc2-desc SYSTEM "gcc2-desc.xml">
-<!ENTITY gcc2-config SYSTEM "gcc2-config.xml">
-<!ENTITY gcc2-buildsize "104 MB">
 <!ENTITY gcc2-version "2.95.3">
 <!ENTITY gcc2-download-ftp "ftp://ftp.gnu.org/gnu/gcc/gcc-&gcc2-version;.tar.gz">
 <!ENTITY gcc2-download-http "http://ftp.gnu.org/gnu/gcc/gcc-&gcc2-version;.tar.gz">
 <!ENTITY gcc2-size "7 MB">
+<!ENTITY gcc2-buildsize "104 MB">
 <!ENTITY gcc2-time "">
Index: general/prog/jdk/j2sdk.ent
===================================================================
--- general/prog/jdk/j2sdk.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/jdk/j2sdk.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -3,13 +3,12 @@
 <!ENTITY j2sdk-inst SYSTEM "j2sdk-inst.xml">
 <!ENTITY j2sdk-exp SYSTEM "j2sdk-exp.xml">
+<!ENTITY j2sdk-config SYSTEM "j2sdk-config.xml">
 <!ENTITY j2sdk-desc SYSTEM "j2sdk-desc.xml">
-<!ENTITY j2sdk-config SYSTEM "j2sdk-config.xml">
-<!ENTITY j2sdk-bin-size "59 MB">
-<!ENTITY j2sdk-src-buildsize "1810 MB">
-<!ENTITY j2sdk-src-size "77 MB">
 <!ENTITY j2sdk-bin-version "1.4.2_01">
 <!ENTITY j2sdk-src-version "1.4.1">
 <!ENTITY j2sdk-download-http "http://freshmeat.net/projects/sunjdk">
 <!ENTITY j2sdk-download-ftp "">
+<!ENTITY j2sdk-bin-size "59 MB">
+<!ENTITY j2sdk-src-size "77 MB">
+<!ENTITY j2sdk-src-buildsize "1810 MB">
 <!ENTITY j2sdk-time "85 SBU">
-
Index: general/prog/librep/librep.ent
===================================================================
--- general/prog/librep/librep.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/librep/librep.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -4,9 +4,8 @@
 <!ENTITY librep-exp SYSTEM "librep-exp.xml">
 <!ENTITY librep-desc SYSTEM "librep-desc.xml">
-<!ENTITY librep-config SYSTEM "librep-config.xml">
-<!ENTITY librep-buildsize "9.1 MB">
 <!ENTITY librep-version "0.16.2">
-<!ENTITY librep-download-http "http://telia.dl.sourceforge.net/sourceforge/librep/librep-0.16.2.tar.gz">
+<!ENTITY librep-download-http "http://telia.dl.sourceforge.net/sourceforge/librep/librep-&librep-version;.tar.gz">
 <!ENTITY librep-download-ftp "">
 <!ENTITY librep-size "896 KB">
+<!ENTITY librep-buildsize "9.1 MB">
 <!ENTITY librep-time "0.52 SBU">
Index: general/prog/nasm/nasm.ent
===================================================================
--- general/prog/nasm/nasm.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/nasm/nasm.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -2,12 +2,9 @@
 <!ENTITY NASM-intro SYSTEM "nasm-intro.xml">
 <!ENTITY NASM-inst SYSTEM "nasm-inst.xml">
-<!ENTITY NASM-exp SYSTEM "nasm-exp.xml">
 <!ENTITY NASM-desc SYSTEM "nasm-desc.xml">
-<!ENTITY NASM-config SYSTEM "nasm-config.xml">
+<!ENTITY NASM-version "0.98.37">
+<!ENTITY NASM-download-http "http://unc.dl.sourceforge.net/sourceforge/nasm/nasm-&NASM-version;.tar.bz2">
+<!ENTITY NASM-download-ftp "ftp://sunsite.ccu.edu.tw/pub14/sourceforge/n/nasm/nasm-&NASM-version;.tar.bz2">
+<!ENTITY NASM-size "524 KB">
 <!ENTITY NASM-buildsize "7.1 MB">
-<!ENTITY NASM-version "0.98.37">
-<!ENTITY NASM-download-http
-"http://unc.dl.sourceforge.net/sourceforge/nasm/nasm-&NASM-version;.tar.bz2">
-<!ENTITY NASM-download-ftp "">
-<!ENTITY NASM-size "524 KB">
 <!ENTITY NASM-time "0.12 SBU">
Index: general/prog/perl/perl-modules.ent
===================================================================
--- general/prog/perl/perl-modules.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/perl/perl-modules.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -2,7 +2,4 @@
 <!ENTITY perl-modules-intro SYSTEM "perl-modules-intro.xml">
 <!ENTITY perl-modules-inst SYSTEM "perl-modules-inst.xml">
-<!ENTITY perl-modules-exp SYSTEM "perl-modules-exp.xml">
-<!ENTITY perl-modules-desc SYSTEM "perl-modules-desc.xml">
-<!ENTITY perl-modules-config SYSTEM "perl-modules-config.xml">
 <!ENTITY Gtk-Perl-version "0.7008">
 <!ENTITY PDL-version "2.4.0">
Index: general/prog/python/python.ent
===================================================================
--- general/prog/python/python.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/python/python.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -2,11 +2,9 @@
 <!ENTITY Python-intro SYSTEM "python-intro.xml">
 <!ENTITY Python-inst SYSTEM "python-inst.xml">
-<!ENTITY Python-exp SYSTEM "python-exp.xml">
 <!ENTITY Python-desc SYSTEM "python-desc.xml">
-<!ENTITY Python-config SYSTEM "python-config.xml">
-<!ENTITY Python-buildsize "74 MB">
 <!ENTITY Python-version "2.3.1">
 <!ENTITY Python-download-http "http://www.python.org/ftp/python/&Python-version;/Python-&Python-version;.tgz">
 <!ENTITY Python-download-ftp "ftp://ftp.python.org/pub/python/&Python-version;/Python-&Python-version;.tgz">
 <!ENTITY Python-size "8.2 MB">
+<!ENTITY Python-buildsize "74 MB">
 <!ENTITY Python-time "1.45 SBU">
Index: general/prog/ruby/ruby.ent
===================================================================
--- general/prog/ruby/ruby.ent	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/ruby/ruby.ent	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -2,11 +2,9 @@
 <!ENTITY ruby-intro SYSTEM "ruby-intro.xml">
 <!ENTITY ruby-inst SYSTEM "ruby-inst.xml">
-<!ENTITY ruby-exp SYSTEM "ruby-exp.xml">
 <!ENTITY ruby-desc SYSTEM "ruby-desc.xml">
-<!ENTITY ruby-config SYSTEM "ruby-config.xml">
+<!ENTITY ruby-version "1.8.0">
+<!ENTITY ruby-download-http "http://rubyforge.org/download.php/34/ruby-&ruby-version;.tar.gz">
+<!ENTITY ruby-download-ftp "ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-&ruby-version;.tar.gz">
+<!ENTITY ruby-size "1.9 MB">
 <!ENTITY ruby-buildsize "25.6 MB">
-<!ENTITY ruby-version "1.8.0">
-<!ENTITY ruby-download-http "">
-<!ENTITY ruby-download-ftp "ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.0.tar.gz">
-<!ENTITY ruby-size "1.9 MB">
 <!ENTITY ruby-time "0.52 SBU">
Index: general/prog/tcl.xml
===================================================================
--- general/prog/tcl.xml	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/tcl.xml	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -1,5 +1,5 @@
-<sect1 id="tcl" xreflabel="Tcl-&tcltk-version;">
+<sect1 id="tcl" xreflabel="Tcl-&tcl-version;">
 <?dbhtml filename="tcl.html" dir="general"?>
-<title>Tcl-&tcltk-version;</title>
+<title>Tcl-&tcl-version;</title>
 
 &tcl-intro;
@@ -8,3 +8,2 @@
 
 </sect1>
-
Index: general/prog/tk.xml
===================================================================
--- general/prog/tk.xml	(revision 0ee500d8fc0980e378c33917e95b7b53ae852d8d)
+++ general/prog/tk.xml	(revision 503b39f5b19e81e6c5d44e854ab653420c1ef68d)
@@ -1,5 +1,5 @@
-<sect1 id="tk" xreflabel="Tk-&tcltk-version;">
+<sect1 id="tk" xreflabel="Tk-&tk-version;">
 <?dbhtml filename="tk.html" dir="general"?>
-<title>Tk-&tcltk-version;</title>
+<title>Tk-&tk-version;</title>
 
 &tk-intro;
@@ -8,3 +8,2 @@
 
 </sect1>
-