Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision 4f9e6ae5f5157220e8c3e2e684302595c1ca3611)
+++ general/genlib/glib2.xml	(revision 511f7c8f1e09c53d3dba150a8bf591ef499cbdc3)
@@ -7,7 +7,7 @@
   <!ENTITY glib2-download-http "&gnome-download-http;/glib/&glib2-minor;/glib-&glib2-version;.tar.xz">
   <!ENTITY glib2-download-ftp  "&gnome-download-ftp;/glib/&glib2-minor;/glib-&glib2-version;.tar.xz">
-  <!ENTITY glib2-md5sum        "20d515238d2d22f1ec2057828fb59d52">
+  <!ENTITY glib2-md5sum        "705dd46a43d339e8aea19e946e71c32a">
   <!ENTITY glib2-size          "4.6 MB">
-  <!ENTITY glib2-buildsize     "206 MB (add 1 MB for tests)">
+  <!ENTITY glib2-buildsize     "206 MB (add 5 MB for tests)">
   <!ENTITY glib2-time          "0.5 SBU (add 1.0 SBU for tests; both using parallelism=4)">
 ]>
@@ -99,7 +99,8 @@
       <xref linkend="DocBook"/>,
       <xref linkend="docbook-xsl"/>, 
-      <xref linkend="gtk-doc"/> (to build API documentation), and
+      <xref linkend="gtk-doc"/> (to build API documentation),
       <xref linkend="glib-networking"/> (for some tests, but this is a circular
-          dependency)
+      dependency), and
+      <xref linkend="sysprof"/>
     </para>
 
Index: general/genutils/graphviz.xml
===================================================================
--- general/genutils/graphviz.xml	(revision 4f9e6ae5f5157220e8c3e2e684302595c1ca3611)
+++ general/genutils/graphviz.xml	(revision 511f7c8f1e09c53d3dba150a8bf591ef499cbdc3)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY graphviz-download-http "https://www2.graphviz.org/Packages/stable/portable_source/graphviz-&graphviz-version;.tar.gz">
+  <!ENTITY graphviz-download-http "https://gitlab.com/graphviz/graphviz/-/archive/&graphviz-version;/graphviz-&graphviz-version;.tar.gz">
   <!ENTITY graphviz-download-ftp  " ">
-  <!ENTITY graphviz-md5sum        "96792adafea5cc6879060c400da31ea3">
-  <!ENTITY graphviz-size          "33 MB">
-  <!ENTITY graphviz-buildsize     "284 MB">
-  <!ENTITY graphviz-time          "1.0 SBU (using parallelism=4)">
+  <!ENTITY graphviz-md5sum        "59d59068abdeef18b53a099cc8a4b9c3">
+  <!ENTITY graphviz-size          "31 MB">
+  <!ENTITY graphviz-buildsize     "282 MB">
+  <!ENTITY graphviz-time          "0.7 SBU (using parallelism=4)">
 ]>
 
@@ -198,6 +198,6 @@
     <para role="optional">
       <ulink url="https://github.com/Snaipe/Criterion">Criterion</ulink>
-          (framework for tests),
-      <ulink url="http://linux.softpedia.com/get/Programming/Debuggers/Electric-Fence-3305.shtml/">Electric Fence</ulink>,
+          (framework for tests) and
+      <ulink url="http://linux.softpedia.com/get/Programming/Debuggers/Electric-Fence-3305.shtml/">Electric Fence</ulink>
     </para>
 
@@ -242,5 +242,5 @@
 <screen><userinput>sed -i '/LIBPOSTFIX="64"/s/64//' configure.ac &amp;&amp;
 
-autoreconf                &amp;&amp;
+./autogen.sh              &amp;&amp;
 ./configure --prefix=/usr \
             --disable-php \
@@ -337,5 +337,5 @@
         <application>Graphviz</application>. You may consider installing the
         additional plugins and tools available from the download page at
-        <ulink url="http://www.graphviz.org/Download_source.php"/> for additional
+        <ulink url="https://graphviz.org/download/source/"/> for additional
         capabilities. If additional plugins are installed, you can run
         <command>dot -c</command> (as the
@@ -370,5 +370,5 @@
           libpathplan.so, libxdot.so, and several plugins in /usr/lib/graphviz.
           There are also several in subdirectories of
-          /usr/lib/{lua,perl5,php,python&python2-majorver;,python&python3-majorver;tcl8.6}.
+          /usr/lib/{lua,perl5,php,python&python2-majorver;,python&python3-majorver;,tcl8.6}.
           Unfortunately, some libraries are duplicated.
         </seg>
Index: general/sysutils/sg3_utils.xml
===================================================================
--- general/sysutils/sg3_utils.xml	(revision 4f9e6ae5f5157220e8c3e2e684302595c1ca3611)
+++ general/sysutils/sg3_utils.xml	(revision 511f7c8f1e09c53d3dba150a8bf591ef499cbdc3)
@@ -7,7 +7,7 @@
   <!ENTITY sg3_utils-download-http "http://sg.danny.cz/sg/p/sg3_utils-&sg3_utils-version;.tar.xz">
   <!ENTITY sg3_utils-download-ftp  " ">
-  <!ENTITY sg3_utils-md5sum        "3a1ba25fe7b43577de4a5c1edb018526">
-  <!ENTITY sg3_utils-size          "968 KB">
-  <!ENTITY sg3_utils-buildsize     "24 MB">
+  <!ENTITY sg3_utils-md5sum        "11854fedf831adfd39438dc5ac9202e9">
+  <!ENTITY sg3_utils-size          "1008 KB">
+  <!ENTITY sg3_utils-buildsize     "31 MB">
   <!ENTITY sg3_utils-time          "0.2 SBU">
 ]>
@@ -133,15 +133,17 @@
       <seglistitem>
         <seg>
-          scsi_logging_level, scsi_mandat, scsi_readcap, scsi_ready, scsi_satl,
-          scsi_start, scsi_stop, scsi_temperature, sg_bg_ctl, sg_compare_and_write,
-          sg_copy_results, sg_dd, sg_decode_sense, sg_emc_trespass, sg_format,
+          rescan-scsi-bus.sh, scsi_logging_level, scsi_mandat, scsi_readcap, 
+          scsi_ready, scsi_satl, scsi_start, scsi_stop, scsi_temperature,
+          sg_bg_ctl, sg_compare_and_write, sg_copy_results, sg_dd,
+          sg_decode_sense, sg_emc_trespass, sg_format,
           sg_get_config, sg_get_lba_status, sg_ident, sg_inq, sg_logs, sg_luns,
           sg_map, sg_map26, sg_modes, sg_opcodes, sg_persist, sg_prevent,
           sg_raw, sg_rbuf, sg_rdac, sg_read, sg_read_attr, sg_read_block_limits,
           sg_read_buffer, sg_read_long, sg_readcap, sg_reassign, sg_referrals,
-          sg_rep_zones, sg_requests, sg_reset, sg_reset_wp, sg_rmsn, sg_rtpg,
-          sg_safte, sg_sanitize, sg_sat_identify, sg_sat_phy_event,
-          sg_sat_read_gplog, sg_sat_set_features, sg_scan, sg_seek, sg_senddiag, sg_ses,
-          sg_ses_microcode, sg_start, sg_stpg, sg_stream_ctl, sg_sync, sg_test_rwbuf, 
+          sg_rep_pip, sg_rep_zones, sg_requests, sg_reset, sg_reset_wp,
+          sg_rmsn, sg_rtpg, sg_safte, sg_sanitize, sg_sat_identify,
+          sg_sat_phy_event, sg_sat_read_gplog, sg_sat_set_features, sg_scan,
+          sg_seek, sg_senddiag, sg_ses, sg_ses_microcode, sg_start, sg_stpg,
+          sg_stream_ctl, sg_sync, sg_test_rwbuf, sg_timestamp, 
           sg_turs, sg_unmap, sg_verify, sg_vpd, sg_wr_mode, sg_write_buffer,
           sg_write_long, sg_write_same, sg_write_verify, sg_write_x, sg_xcopy, sg_zone, 
@@ -162,4 +164,16 @@
       <?dbhtml list-presentation="table"?>
 
+      <varlistentry id="rescan-scsi-bus.sh">
+        <term><command>rescan-scsi-bus.sh</command></term>
+        <listitem>
+          <para>
+            adds or removes SCSI devices without having to reboot
+          </para>
+          <indexterm zone="sg3_utils rescan-scsi-bus.sh">
+            <primary sortas="b-rescan-scsi-bus.sh">rescan-scsi-bus.sh</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="scsi_logging_level">
         <term><command>scsi_logging_level</command></term>
@@ -485,5 +499,5 @@
         <listitem>
           <para>
-            reads mode pages with SCSI MODE SENSE command
+            reads mode pages with the SCSI MODE SENSE command
           </para>
           <indexterm zone="sg3_utils sg_modes">
@@ -560,5 +574,5 @@
         <listitem>
           <para>
-            reads data using SCSI READ BUFFER command
+            reads data using the SCSI READ BUFFER command
           </para>
           <indexterm zone="sg3_utils sg_rbuf">
@@ -572,5 +586,5 @@
         <listitem>
           <para>
-            displays or modifies RDAC Redundant Controller Page
+            displays or modifies the RDAC Redundant Controller Page
           </para>
           <indexterm zone="sg3_utils sg_rdac">
@@ -668,5 +682,5 @@
         <listitem>
           <para>
-            sends the SCSI REPORT REFERRALS command
+            sends a SCSI REPORT REFERRALS command
           </para>
           <indexterm zone="sg3_utils sg_referrals">
@@ -676,4 +690,16 @@
       </varlistentry>
 
+      <varlistentry id="sg_rep_pip">
+        <term><command>sg_rep_pip</command></term>
+        <listitem>
+          <para>
+            sends a SCSI REPORT PROVISIONING INITIALIZATION PATTERN command
+          </para>
+          <indexterm zone="sg3_utils sg_rep_pip">
+            <primary sortas="b-sg_rep_pip">sg_rep_pip</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="sg_rep_zones">
         <term><command>sg_rep_zones</command></term>
@@ -704,5 +730,5 @@
         <listitem>
           <para>
-            sends SCSI device, target, bus or host reset; or checks reset state
+            sends a SCSI device, target, bus or host reset; or checks reset state
           </para>
           <indexterm zone="sg3_utils sg_reset">
@@ -752,6 +778,6 @@
         <listitem>
           <para>
-            fetches status from a SCSI Accessed Fault-Tolerant Enclosure
-            (SAF-TE) device
+            fetches status information from a SCSI Accessed Fault-Tolerant
+            Enclosure (SAF-TE) device
           </para>
           <indexterm zone="sg3_utils sg_safte">
@@ -804,5 +830,5 @@
         <listitem>
           <para>
-             uses an ATA READ LOG EXT command via a SCSI to ATA Translation
+             sends an ATA READ LOG EXT command via a SCSI to ATA Translation
              (SAT) layer
           </para>
@@ -866,6 +892,6 @@
         <listitem>
           <para>
-            sends controls and fetch status from a SCSI Enclosure Services
-            (SES) device
+            sends controls and fetches the current status from a SCSI Enclosure
+            Services (SES) device
           </para>
           <indexterm zone="sg3_utils sg_ses">
@@ -929,5 +955,5 @@
         <listitem>
           <para>
-            sends the scsi command synchronize cache
+            sends a SCSI command to synchronize the cache
           </para>
           <indexterm zone="sg3_utils sg_sync">
@@ -950,4 +976,16 @@
       </varlistentry>
 
+      <varlistentry id="sg_timestamp">
+        <term><command>sg_timestamp</command></term>
+        <listitem>
+          <para>
+            reports or sets the timestamp on a SCSI device
+          </para>
+          <indexterm zone="sg3_utils sg_timestamp">
+            <primary sortas="b-sg_timestamp">sg_timestamp</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="sg_turs">
         <term><command>sg_turs</command></term>
@@ -1015,5 +1053,5 @@
         <listitem>
           <para>
-            sends the SCSI WRITE LONG command
+            sends a SCSI WRITE LONG command
           </para>
           <indexterm zone="sg3_utils sg_write_long">
@@ -1027,5 +1065,5 @@
         <listitem>
           <para>
-            sends the SCSI WRITE SAME command
+            sends a SCSI WRITE SAME command
           </para>
           <indexterm zone="sg3_utils sg_write_same">
@@ -1039,5 +1077,5 @@
         <listitem>
           <para>
-            sends the SCSI WRITE AND VERIFY command
+            sends a SCSI WRITE AND VERIFY command
           </para>
           <indexterm zone="sg3_utils sg_write_verify">
@@ -1063,5 +1101,5 @@
         <listitem>
           <para>
-            writes mode page
+            writes mode pages
           </para>
           <indexterm zone="sg3_utils sg_wr_mode">