Index: general/graphlib/opencv.xml
===================================================================
--- general/graphlib/opencv.xml	(revision 26bb7e1555fa56cf05dbed5b9330e584eb536e7b)
+++ general/graphlib/opencv.xml	(revision 513d58a16e6e9e0ea368a7b6a2202b847e5d5fea)
@@ -9,12 +9,12 @@
   <!ENTITY opencv-download-http     "&sourceforge-repo2;&cvdir;/opencv-unix/&opencv-version;/opencv-&opencv-version;.zip">
   <!ENTITY opencv-download-ftp      " ">
-  <!ENTITY opencv-md5sum            "bfc6a261eb069b709bcfe7e363ef5899">
-  <!ENTITY opencv-size              "78 MB">
-  <!ENTITY opencv-buildsize         "556 MB">
-  <!ENTITY opencv-time              "8.1 SBU">
-
-
-  <!ENTITY ippicv-version          "20151201">
-  <!ENTITY ippicv_binaries_commit  "81a676001ca8075ada498583e4166079e5744668">
+  <!ENTITY opencv-md5sum            "cc586ebe960a7cdd87100e89088abc06">
+  <!ENTITY opencv-size              "81 MB">
+  <!ENTITY opencv-buildsize         "851 MB">
+  <!ENTITY opencv-time              "2.1 SBU (using parallelism=4)">
+
+
+  <!ENTITY ippicv-version          "ippicv_2017u2_lnx_intel64_20170418">
+  <!ENTITY ippicv_binaries_commit  "a62e20676a60ee0ad6581e217fe7e4bada3b95db">
 
   <!ENTITY opencv-contrib-download "https://github.com/opencv/opencv_contrib/archive/&opencv-version;.tar.gz">
@@ -83,7 +83,7 @@
       <listitem>
         <para>
-          Optional file (will be downloaded when running cmake if not present):
+          Optional file (x86_64 only; will be downloaded when running cmake if not present):
           <ulink
-          url="https://raw.githubusercontent.com/opencv/opencv_3rdparty/&ippicv_binaries_commit;/ippicv/ippicv_linux_&ippicv-version;.tgz"/>
+          url="https://raw.githubusercontent.com/opencv/opencv_3rdparty/&ippicv_binaries_commit;/ippicv/&ippicv-version;.tgz"/>
         </para>
       </listitem>
@@ -164,10 +164,10 @@
     </para>
 
-<screen><userinput>ipp_file=../ippicv_linux_&ippicv-version;.tgz             &amp;&amp;
-ipp_hash=$(md5sum $ipp_file | cut -d" " -f1)      &amp;&amp;
-ipp_dir=3rdparty/ippicv/downloads/linux-$ipp_hash &amp;&amp;
+<screen><userinput>ipp_file=&ippicv-version;.tgz &amp;&amp;
+ipp_hash=$(md5sum ../$ipp_file | cut -d" " -f1) &amp;&amp;
+ipp_dir=.cache/ippicv                           &amp;&amp;
 
 mkdir -p $ipp_dir &amp;&amp;
-cp $ipp_file $ipp_dir</userinput></screen>
+cp ../$ipp_file $ipp_dir/$ipp_hash-$ipp_file</userinput></screen>
 
     <para>
@@ -186,7 +186,12 @@
 
 cmake -DCMAKE_INSTALL_PREFIX=/usr      \
+      -DCMAKE_BUILD_TYPE=Release       \
+      -DENABLE_CXX11=ON                \
+      -DBUILD_PERF_TESTS=OFF           \
       -DWITH_XINE=ON                   \
       -DBUILD_TESTS=OFF                \
       -DENABLE_PRECOMPILED_HEADERS=OFF \
+      -DCMAKE_SKIP_RPATH=ON            \
+      -DBUILD_WITH_DEBUG_INFO=OFF      \
       -Wno-dev  ..                     &amp;&amp;
 make</userinput></screen>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 26bb7e1555fa56cf05dbed5b9330e584eb536e7b)
+++ introduction/welcome/changelog.xml	(revision 513d58a16e6e9e0ea368a7b6a2202b847e5d5fea)
@@ -46,4 +46,8 @@
       <para>August 7th, 2017</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to opencv-3.3.0. Fixes
+          <ulink url="&blfs-ticket-root;9571">#9571</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to fuse3-3.1.1. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 26bb7e1555fa56cf05dbed5b9330e584eb536e7b)
+++ packages.ent	(revision 513d58a16e6e9e0ea368a7b6a2202b847e5d5fea)
@@ -208,5 +208,5 @@
 <!ENTITY libwebp-version              "0.6.0">
 <!ENTITY newt-version                 "0.52.20">
-<!ENTITY opencv-version               "3.2.0">
+<!ENTITY opencv-version               "3.3.0">
 <!ENTITY openjpeg-version             "1.5.2">
 <!ENTITY openjpeg2-version            "2.1.2">