Index: general/sysutils/apache-ant.xml
===================================================================
--- general/sysutils/apache-ant.xml	(revision 2c24d1e1a357f0593bfd7470406b765e6d6f0af6)
+++ general/sysutils/apache-ant.xml	(revision 514ef84dee85a578ab67b7fa329c97cde7d5fd69)
@@ -14,240 +14,283 @@
 
 <sect1 id="apache-ant" xreflabel="Apache Ant-&apache-ant-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="apache-ant.html"?>
-<title>Apache Ant-&apache-ant-version;</title>
-<indexterm zone="apache-ant">
-<primary sortas="a-Apache-Ant">Apache Ant</primary></indexterm>
-
-<sect2>
-<title>Introduction to <application>Apache Ant</application></title>
-
-<para>The <application>Apache Ant</application> package is a 
-<application>Java</application>-based build tool. In theory, it is kind of 
-like <command>make</command>, but without <command>make</command>'s wrinkles. 
-Ant is different. Instead of a model where it is extended with shell-based 
-commands, Ant is extended using <application>Java</application> classes. 
-Instead of writing shell commands, the configuration files are 
-<acronym>XML</acronym>-based, calling out a target tree where various tasks 
-get executed. Each task is run by an object that implements a particular task 
-interface.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing="compact">
-<listitem><para>Download (HTTP): 
-<ulink url="&apache-ant-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&apache-ant-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &apache-ant-md5sum;</para></listitem>
-<listitem><para>Download size: &apache-ant-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&apache-ant-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&apache-ant-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing="compact">
-<listitem><para>Required Patch: <ulink 
-url="&patch-root;/apache-ant-&apache-ant-version;-blfs_install-1.patch"/></para>
-</listitem></itemizedlist>
-</sect3>
-
-<sect3><title><application>Apache Ant</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="jdk"/></para>
-</sect4>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Installation of <application>Apache Ant</application></title>
-
-<para>Note: you may need additional libraries to satisify the build 
-requirements of various packages installed using 
-<application>Apache Ant</application>. Review the table at 
-<ulink url="http://ant.apache.org/manual/install.html#librarydependencies"/> 
-for any prerequisite libraries you may need. One such library is the 
-<application>JUnit</application> testing framework library. Many Ant-installed 
-packages will use this library to perform the unit tests during the build 
-process. To install the JUnit library along with the 
-<application>Apache Ant</application> package, download it from 
-<ulink url="http://www.junit.org/"/>, unzip the distribution file (requires 
-<xref linkend="unzip"/>) and copy the <filename>junit.jar</filename> file
-into the <filename class='directory'>lib</filename> subdirectory of the
-<application>Apache Ant</application> source tree before beginning the 
-<application>Apache Ant</application> build.</para>
-
-<para>Install <application>Apache Ant</application> by running the following 
-commands:</para>
-
-<screen><userinput><command>patch -Np1 -i ../apache-ant-&apache-ant-version;-blfs_install-1.patch</command></userinput></screen>
-
-<para>Now, as the root user:</para>
-
-<screen><userinput role='root'><command>./build.sh -Ddist.dir=/opt/ant-&apache-ant-version; dist &amp;&amp;
-ln -sf /etc/ant /opt/ant-&apache-ant-version;/etc &amp;&amp;
-ln -sf ant-&apache-ant-version; /opt/ant</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Command explanations</title>
-
-<para><command>./build.sh -Ddist.dir=/opt/ant-&apache-ant-version; 
-dist</command>: This command does everything. It builds the package, then 
-installs the package into 
-<filename class='directory'>/opt/ant-&apache-ant-version;</filename>.</para>
-
-<para><command>ln -sf /etc/ant /opt/ant-&apache-ant-version;/etc</command>: 
-The patch changes the configuration directory to 
-<filename class='directory'>/etc/ant</filename> to conform with 
-<acronym>FHS</acronym> guidelines. This command creates a symlink from the 
-configuration directory back to the installation directory as the package is 
-expecting to find the files there.</para>
-
-<para><command>ln -sf ant-&apache-ant-version; /opt/ant</command>: This 
-command is optional, and creates a convenience symlink.</para>
-
-</sect2>
-
-<sect2>
-<title>Configuring <application>Apache Ant</application></title>
-
-<sect3 id="apache-ant-config"><title>Config files</title>
-<para><filename>/etc/ant/ant.conf</filename>, 
-<filename>~/.ant/ant.conf</filename> and 
-<filename>~/.antrc</filename></para>
-<indexterm zone="apache-ant apache-ant-config">
-<primary sortas="e-AA.ant-ant.conf">~/.ant/ant.conf</primary></indexterm>
-<indexterm zone="apache-ant apache-ant-config">
-<primary sortas="e-AA.antrc">~/.antrc</primary></indexterm>
-<indexterm zone="apache-ant apache-ant-config">
-<primary sortas="e-etc-ant-ant.conf">/etc/ant/ant.conf</primary></indexterm>
-</sect3>
-
-<sect3><title>Configuration Information</title>
-<para>Some packages will require <command>ant</command> to be in the search
-path and the <envar>$ANT_HOME</envar> environment variable defined. 
-Satisfy these requirements by adding the following lines to 
-<filename>/etc/profile</filename> or to individual user's 
-<filename>~/.profile</filename> or <filename>~/.bashrc</filename> files:</para>
-
-<screen><userinput>export PATH=$PATH:/opt/ant/bin
-export ANT_HOME=/opt/ant</userinput></screen>
-</sect3>
-
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Libraries</segtitle>
-<segtitle>Installed Directories</segtitle>
-
-<seglistitem>
-<seg>ant, antRun, antRun.pl, complete-ant-cmd.pl, runant.pl and runant.py</seg>
-<seg>ant-*.jar, xercesImpl.jar and xml-apis.jar</seg>
-<seg>/etc/ant and /opt/ant-&apache-ant-version;</seg>
-</seglistitem>
-</segmentedlist>
-
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
-
-<varlistentry id="ant">
-<term><command>ant</command></term>
-<listitem><para>is a <application>Java</application> based build tool used by 
-many packages instead of the conventional <command>make</command> 
-program.</para>
-<indexterm zone="apache-ant ant">
-<primary sortas="b-ant">ant</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="antRun">
-<term><command>antRun</command></term>
-<listitem><para>is a support script used to start <command>ant</command> 
-build scripts in a given directory.</para>
-<indexterm zone="apache-ant antRun">
-<primary sortas="b-antRun">antRun</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="antRun.pl">
-<term><command>antRun.pl</command></term>
-<listitem><para>is a <application>Perl</application> script that provides 
-similar functionality offered by the <command>antRun</command> script.</para>
-<indexterm zone="apache-ant antRun.pl">
-<primary sortas="b-antRun.pl">antRun.pl</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="complete-ant-cmd.pl">
-<term><command>complete-ant-cmd.pl</command></term>
-<listitem><para>is a <application>Perl</application> script that allows 
-<application>Bash</application> to complete an <command>ant</command> 
-command-line.</para>
-<indexterm zone="apache-ant complete-ant-cmd.pl">
-<primary sortas="b-complete-ant-cmd.pl">complete-ant-cmd.pl</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="runant.pl">
-<term><command>runant.pl</command></term>
-<listitem><para>is a <application>Perl</application> wrapper script used to 
-invoke <command>ant</command>.</para>
-<indexterm zone="apache-ant runant.pl">
-<primary sortas="b-runant.pl">runant.pl</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="runant.py">
-<term><command>runant.py</command></term>
-<listitem><para>is a <application>Python</application> wrapper script used to 
-invoke <command>ant</command>.</para>
-<indexterm zone="apache-ant runant.py">
-<primary sortas="b-runant.py">runant.py</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="ant-star">
-<term><filename class='libraryfile'>ant-*.jar</filename></term>
-<listitem><para>files are the <application>Apache Ant</application> 
-<application>Java</application> class libraries.</para>
-<indexterm zone="apache-ant ant-star">
-<primary sortas="c-ant-star">ant-*.jar</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="xercesImpl">
-<term><filename class='libraryfile'>xercesImpl.jar</filename></term>
-<listitem><para>is a <application>Java</application> class library used by 
-<application>Apache Ant</application> to perform <acronym>XML</acronym> 
-parsing.</para>
-<indexterm zone="apache-ant xercesImpl">
-<primary sortas="c-xercesImpl">xercesImpl.jar</primary>
-</indexterm></listitem>
-</varlistentry>
-
-<varlistentry id="xml-apis">
-<term><filename class='libraryfile'>xml-apis.jar</filename></term>
-<listitem><para>contains the <acronym>DOM</acronym> 
-<application>Java</application> classes required by the 
-<application>Apache Ant</application> <acronym>XML</acronym> formatter.</para>
-<indexterm zone="apache-ant xml-apis">
-<primary sortas="c-xml-apis">xml-apis.jar</primary>
-</indexterm></listitem>
-</varlistentry>
-</variablelist>
-
-</sect2>
+  <?dbhtml filename="apache-ant.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Apache Ant-&apache-ant-version;</title>
+
+  <indexterm zone="apache-ant">
+   <primary sortas="a-Apache-Ant">Apache Ant</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Apache Ant</title>
+
+    <para>The <application>Apache Ant</application> package is a 
+    <application>Java</application>-based build tool. In theory, it is kind of like 
+    <command>make</command>, but without <command>make</command>'s wrinkles. 
+    Ant is different. Instead of a model where it is extended with shell-based commands, 
+    Ant is extended using <application>Java</application> classes. Instead of writing 
+    shell commands, the configuration files are XML-based, calling out a target tree where 
+    various tasks get executed. Each task is run by an object that implements a 
+    particular task interface.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&apache-ant-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&apache-ant-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &apache-ant-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &apache-ant-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &apache-ant-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &apache-ant-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Required Patch: <ulink 
+        url="&patch-root;/apache-ant-&apache-ant-version;-blfs_install-1.patch"/></para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Apache Ant Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="jdk"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Apache Ant</title>
+
+    <note>
+      <para>You may need additional libraries to satisify the build 
+      requirements of various packages installed using 
+      <application>Apache Ant</application>. Review the table at 
+      <ulink url="http://ant.apache.org/manual/install.html#librarydependencies"/> 
+      for any prerequisite libraries you may need. One such library is the 
+      <application>JUnit</application> testing framework library. Many Ant-installed 
+      packages will use this library to perform the unit tests during the build 
+      process. To install the JUnit library along with the 
+      <application>Apache Ant</application> package, download it from 
+      <ulink url="http://www.junit.org/"/>, unzip the distribution file (requires 
+      <xref linkend="unzip"/>) and copy the <filename>junit.jar</filename> file
+      into the <filename class='directory'>lib</filename> subdirectory of the
+      <application>Apache Ant</application> source tree before beginning the 
+      <application>Apache Ant</application> build.</para>
+    </note>
+
+    <para>Install <application>Apache Ant</application> by running the following 
+    commands:</para>
+
+<screen><userinput>patch -Np1 -i ../apache-ant-&apache-ant-version;-blfs_install-1.patch</userinput></screen>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>./build.sh -Ddist.dir=/opt/ant-&apache-ant-version; dist &amp;&amp;
+ln -v -sf /etc/ant /opt/ant-&apache-ant-version;/etc &amp;&amp;
+ln -v -sf ant-&apache-ant-version; /opt/ant</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>./build.sh -Ddist.dir=/opt/ant-&apache-ant-version; 
+    dist</command>: This command does everything. It builds the package, then 
+    installs the package into 
+    <filename class='directory'>/opt/ant-&apache-ant-version;</filename>.</para>
+
+    <para><command>ln -v -sf /etc/ant /opt/ant-&apache-ant-version;/etc</command>: 
+    The patch changes the configuration directory to 
+    <filename class='directory'>/etc/ant</filename> to conform with 
+    FHS guidelines. This command creates a symlink from the 
+    configuration directory back to the installation directory as the package is 
+    expecting to find the files there.</para>
+
+    <para><command>ln -v -sf ant-&apache-ant-version; /opt/ant</command>: This 
+    command is optional, and creates a convenience symlink.</para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Apache Ant</title>
+
+    <sect3 id="apache-ant-config">
+      <title>Config files</title>
+
+      <para><filename>/etc/ant/ant.conf</filename>, 
+      <filename>~/.ant/ant.conf</filename>, and 
+      <filename>~/.antrc</filename></para>
+
+      <indexterm zone="apache-ant apache-ant-config">
+        <primary sortas="e-AA.ant-ant.conf">~/.ant/ant.conf</primary>
+      </indexterm>
+
+      <indexterm zone="apache-ant apache-ant-config">
+        <primary sortas="e-AA.antrc">~/.antrc</primary>
+      </indexterm>
+
+      <indexterm zone="apache-ant apache-ant-config">
+        <primary sortas="e-etc-ant-ant.conf">/etc/ant/ant.conf</primary>
+      </indexterm>
+
+    </sect3>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>Some packages will require <command>ant</command> to be in the search
+      path and the <envar>$ANT_HOME</envar> environment variable defined. 
+      Satisfy these requirements by adding the following lines to 
+      <filename>/etc/profile</filename> or to individual user's 
+      <filename>~/.profile</filename> or <filename>~/.bashrc</filename> files:</para>
+
+<screen><literal>export PATH=$PATH:/opt/ant/bin
+export ANT_HOME=/opt/ant</literal></screen>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>ant, antRun, antRun.pl, complete-ant-cmd.pl, runant.pl, and runant.py</seg>
+        <seg>ant-*.jar, xercesImpl.jar, and xml-apis.jar</seg>
+        <seg>/etc/ant and /opt/ant-&apache-ant-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="ant">
+        <term><command>ant</command></term>
+        <listitem>
+          <para>is a <application>Java</application> based build tool used by 
+          many packages instead of the conventional <command>make</command> 
+          program.</para>
+          <indexterm zone="apache-ant ant">
+            <primary sortas="b-ant">ant</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="antRun">
+        <term><command>antRun</command></term>
+        <listitem>
+          <para>is a support script used to start <command>ant</command> 
+          build scripts in a given directory.</para>
+          <indexterm zone="apache-ant antRun">
+            <primary sortas="b-antRun">antRun</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="antRun.pl">
+        <term><command>antRun.pl</command></term>
+        <listitem>
+          <para>is a <application>Perl</application> script that provides 
+          similar functionality offered by the <command>antRun</command> script.</para>
+          <indexterm zone="apache-ant antRun.pl">
+            <primary sortas="b-antRun.pl">antRun.pl</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="complete-ant-cmd.pl">
+        <term><command>complete-ant-cmd.pl</command></term>
+        <listitem>
+          <para>is a <application>Perl</application> script that allows 
+          <application>Bash</application> to complete an <command>ant</command> 
+          command-line.</para>
+          <indexterm zone="apache-ant complete-ant-cmd.pl">
+            <primary sortas="b-complete-ant-cmd.pl">complete-ant-cmd.pl</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="runant.pl">
+        <term><command>runant.pl</command></term>
+        <listitem>
+          <para>is a <application>Perl</application> wrapper script used to 
+          invoke <command>ant</command>.</para>
+          <indexterm zone="apache-ant runant.pl">
+            <primary sortas="b-runant.pl">runant.pl</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="runant.py">
+        <term><command>runant.py</command></term>
+        <listitem>
+          <para>is a <application>Python</application> wrapper script used to 
+          invoke <command>ant</command>.</para>
+          <indexterm zone="apache-ant runant.py">
+            <primary sortas="b-runant.py">runant.py</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ant-star">
+        <term><filename class='libraryfile'>ant-*.jar</filename></term>
+        <listitem>
+          <para>files are the <application>Apache Ant</application> 
+          <application>Java</application> class libraries.</para>
+          <indexterm zone="apache-ant ant-star">
+            <primary sortas="c-ant-star">ant-*.jar</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xercesImpl">
+        <term><filename class='libraryfile'>xercesImpl.jar</filename></term>
+        <listitem>
+          <para>is a <application>Java</application> class library used by 
+          <application>Apache Ant</application> to perform XML parsing.</para>
+          <indexterm zone="apache-ant xercesImpl">
+            <primary sortas="c-xercesImpl">xercesImpl.jar</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xml-apis">
+        <term><filename class='libraryfile'>xml-apis.jar</filename></term>
+        <listitem>
+          <para>contains the DOM <application>Java</application> classes required 
+          by the <application>Apache Ant</application> XML formatter.</para>
+          <indexterm zone="apache-ant xml-apis">
+            <primary sortas="c-xml-apis">xml-apis.jar</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>