Index: general.ent
===================================================================
--- general.ent	(revision f28636ce2cd1506e5c8140ffc8c00c4811e5e104)
+++ general.ent	(revision 518cff017d6792e6fb107d29d37073a8badd8120)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "15">                   <!-- Always 2 digits -->
+<!ENTITY day          "16">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 15th, &year;">
+<!ENTITY releasedate  "July 16th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -181,5 +181,5 @@
 <!ENTITY reiser-version               "3.6.24">
 <!ENTITY sshfs-fuse-version           "2.5">
-<!ENTITY xfsprogs-version             "3.2.0">
+<!ENTITY xfsprogs-version             "3.2.1">
 
 <!-- Chapter 6 -->
@@ -744,5 +744,5 @@
 <!ENTITY ekiga-version                "4.0.1">
 <!ENTITY fontforge-version            "2.0.20140101">
-<!ENTITY gparted-version              "0.19.0">
+<!ENTITY gparted-version              "0.19.1">
 <!ENTITY gnash-version                "0.8.10">
 <!ENTITY gimp-version                 "2.8.10">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision f28636ce2cd1506e5c8140ffc8c00c4811e5e104)
+++ introduction/welcome/changelog.xml	(revision 518cff017d6792e6fb107d29d37073a8badd8120)
@@ -44,4 +44,18 @@
 
 -->
+
+    <listitem>
+      <para>July 16th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to gparted-0.19.1. Fixes
+          <ulink url="&blfs-ticket-root;5269">#5269</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to xfsprogs-3.2.1. Fixes
+          <ulink url="&blfs-ticket-root;5263">#5263</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision f28636ce2cd1506e5c8140ffc8c00c4811e5e104)
+++ postlfs/filesystems/xfsprogs.xml	(revision 518cff017d6792e6fb107d29d37073a8badd8120)
@@ -5,10 +5,11 @@
   %general-entities;
 
-  <!ENTITY xfsprogs-download-http "&sources-anduin-http;/x/xfsprogs-&xfsprogs-version;.tar.gz">
+<!--  <!ENTITY xfsprogs-download-http "&sources-anduin-http;/x/xfsprogs-&xfsprogs-version;.tar.gz">-->
+  <!ENTITY xfsprogs-download-http " ">
   <!ENTITY xfsprogs-download-ftp  "ftp://oss.sgi.com/projects/xfs/cmd_tars/xfsprogs-&xfsprogs-version;.tar.gz">
-  <!ENTITY xfsprogs-md5sum        "400047b2f6af87c0345b8f0cc00c13db">
-  <!ENTITY xfsprogs-size          "1.4 MB">
-  <!ENTITY xfsprogs-buildsize     "54 MB">
-  <!ENTITY xfsprogs-time          "0.7 SBU">
+  <!ENTITY xfsprogs-md5sum        "5c6905932029c8f9207fe5a0a8aac24b">
+  <!ENTITY xfsprogs-size          "1.5 MB">
+  <!ENTITY xfsprogs-buildsize     "45 MB">
+  <!ENTITY xfsprogs-time          "0.6 SBU">
 ]>
 
@@ -128,8 +129,8 @@
 
       <seglistitem>
-        <seg>fsck.xfs, mkfs.xfs, xfs_admin, xfs_bmap, xfs_check, xfs_copy,
-        xfs_db, xfs_freeze, xfs_growfs, xfs_info, xfs_io, xfs_logprint,
-        xfs_mdrestore, xfs_metadump, xfs_mkfile, xfs_ncheck, xfs_quota,
-        xfs_repair, and xfs_rtcp</seg>
+        <seg>fsck.xfs, mkfs.xfs, xfs_admin, xfs_bmap, xfs_copy, xfs_db,
+        xfs_estimate, xfs_freeze, xfs_fsr, xfs_growfs, xfs_info, xfs_io,
+        xfs_logprint, xfs_mdrestore, xfs_metadump, xfs_mkfile, xfs_ncheck,
+        xfs_quota, xfs_repair, and xfs_rtcp</seg>
         <seg>libhandle.{so,a}</seg>
         <seg>/usr/include/xfs and /usr/share/doc/xfsprogs</seg>
@@ -183,14 +184,4 @@
       </varlistentry>
 
-      <varlistentry id="xfs_check">
-        <term><command>xfs_check</command></term>
-        <listitem>
-          <para>checks XFS file system consistency.</para>
-          <indexterm zone="xfsprogs xfs_check">
-            <primary sortas="b-xfs_check">xfs_check</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
       <varlistentry id="xfs_copy">
         <term><command>xfs_copy</command></term>
@@ -204,4 +195,16 @@
       </varlistentry>
 
+      <varlistentry id="xfs_estimate">
+        <term><command>xfs_estimate</command></term>
+        <listitem>
+          <para>for each directory argument, estimates the space that directory
+          would take if it were copied to an XFS filesystem
+          (does not cross mount points).</para>
+          <indexterm zone="xfsprogs xfs_estimate">
+            <primary sortas="b-xfs_estimate">xfs_estimate</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="xfs_db">
         <term><command>xfs_db</command></term>
@@ -220,4 +223,17 @@
           <indexterm zone="xfsprogs xfs_freeze">
             <primary sortas="b-xfs_freeze">xfs_freeze</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="xfs_fsr">
+        <term><command>xfs_fsr</command></term>
+        <listitem>
+          <para>applicable only to XFS filesystems, improves the organization
+          of mounted filesystems, the reorganization algorithm operates on one
+          file at a time, compacting or othewise  improving the layout of the
+          file extents (contiguous blocks of file data).</para>
+          <indexterm zone="xfsprogs xfs_fsr">
+            <primary sortas="b-xfs_fsr">xfs_fsr</primary>
           </indexterm>
         </listitem>
Index: xsoft/other/gparted.xml
===================================================================
--- xsoft/other/gparted.xml	(revision f28636ce2cd1506e5c8140ffc8c00c4811e5e104)
+++ xsoft/other/gparted.xml	(revision 518cff017d6792e6fb107d29d37073a8badd8120)
@@ -8,8 +8,8 @@
            "&sourceforge-repo;/gparted/gparted-&gparted-version;.tar.bz2">
   <!ENTITY gparted-download-ftp  " ">
-  <!ENTITY gparted-md5sum        "9cf1d1d1596ce2f7191969e081008af2">
+  <!ENTITY gparted-md5sum        "9aff8cef2c46e5ca4adaab43588c9e64">
   <!ENTITY gparted-size          "2.0 MB">
   <!ENTITY gparted-buildsize     "77 MB (additional 3 MB, building the optional documentation)">
-  <!ENTITY gparted-time          "0.9 SBU">
+  <!ENTITY gparted-time          "0.9 SBU (additional 0.1 SBU, building the optional documentation)">
 ]>
 