Index: general/genutils/tidy.xml
===================================================================
--- general/genutils/tidy.xml	(revision ada4e5f507e79bcd58ec2bc8f3cbaa327cda4e82)
+++ general/genutils/tidy.xml	(revision 523c6e9519d28f0959ec94eb029227ece953938c)
@@ -5,13 +5,13 @@
   %general-entities;
 
-  <!ENTITY tidy-download-http "&sources-anduin-http;/tidy/tidy-&tidy-version;.tar.bz2">
+  <!ENTITY tidy-download-http "https://github.com/htacg/tidy-html5/archive/&tidy-version;.tar.gz">
   <!ENTITY tidy-download-ftp  " ">
-  <!ENTITY tidy-md5sum        "dd1fe109b4259ad3f364b175787ad5e9">
-  <!ENTITY tidy-size          "807 KB">
-  <!ENTITY tidy-buildsize     "12 MB">
-  <!ENTITY tidy-time          "0.2 SBU">
+  <!ENTITY tidy-md5sum        "5fd96deef635ab8cea3dc74079f54d95">
+  <!ENTITY tidy-size          "632 KB">
+  <!ENTITY tidy-buildsize     "16 MB">
+  <!ENTITY tidy-time          "0.1 SBU">
 ]>
 
-<sect1 id="html-tidy" xreflabel="HTML Tidy-&tidy-version;">
+<sect1 id="tidy-html" xreflabel="tidy-html5-&tidy-version;">
   <?dbhtml filename="tidy.html"?>
 
@@ -21,14 +21,14 @@
   </sect1info>
 
-  <title>HTML Tidy-&tidy-version;</title>
-
-  <indexterm zone="html-tidy">
-    <primary sortas="a-HTML-Tidy">HTML Tidy</primary>
+  <title>tidy-html5-&tidy-version;</title>
+
+  <indexterm zone="tidy-html">
+    <primary sortas="a-Tidy-HTML">Tidy HTML5</primary>
   </indexterm>
 
   <sect2 role="package">
-    <title>Introduction to HTML Tidy</title>
-
-    <para>The <application>HTML Tidy</application> package contains a
+    <title>Introduction to Tidy HTML5</title>
+
+    <para>The <application>Tidy HTML5</application> package contains a
     command line tool and libraries used to read HTML, XHTML and XML files
     and write cleaned up markup. It detects and corrects many common coding
@@ -60,15 +60,25 @@
     </itemizedlist>
 
-    <para><application>HTML Tidy</application> tarballs are no longer generated
-    by the maintainers. To build from source, the
-    <application>HTML Tidy</application> developers recommend using current
-    CVS. The source tarball shown above was created by the BLFS team by pulling
-    a CVS version, then generating the autotool components and documentation.
-    BLFS made no changes to the existing source files.</para>
-
-    <bridgehead renderas="sect3">HTML Tidy Dependencies</bridgehead>
+    <note>
+      <para>
+        <application>Tidy HTML5</application> source tarball shown above
+        downloads with the correct name tidy-html5-&tidy-version;.tar.gz, if
+        using a browser such as Firefox. If you prefer to use a command line
+        program, such as wget, you obtain &tidy-version;.tar.gz. It is
+        recommended to change the filename: <command>mv -vi
+        &tidy-version;.tar.gz tidy-html5-&tidy-version;.tar.gz</command>.
+        </para>
+      </note>
+
+    <bridgehead renderas="sect3">Tidy HTML5 Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="cmake"/></para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="libxslt"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><ulink url="http://dmalloc.com/">Dmalloc</ulink></para>
+    <para role="optional"><xref linkend="doxygen"/></para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -78,32 +88,34 @@
 
   <sect2 role="installation">
-    <title>Installation of HTML Tidy</title>
-
-    <para>Install <application>HTML Tidy</application> by
-    running the following commands:</para>
-
-<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+    <title>Installation of Tidy HTML5</title>
+
+    <para>Install <application>Tidy HTML5</application> by running the following
+    commands:</para>
+
+<screen><userinput>cd build/cmake &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DCMAKE_BUILD_TYPE=Release  \
+      -DBUILD_TAB2SPACE=ON        \
+      ../..    &amp;&amp;
+
 make</userinput></screen>
 
     <para>This package does not come with a test suite.</para>
-    <!-- <para>To test the results, issue: <command>make check</command>.</para> -->
-
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install &amp;&amp;
-
-install -v -m644 -D htmldoc/tidy.1 \
-                    /usr/share/man/man1/tidy.1 &amp;&amp;
-install -v -m755 -d /usr/share/doc/tidy-&tidy-version; &amp;&amp;
-install -v -m644    htmldoc/*.{html,gif,css} \
-                    /usr/share/doc/tidy-&tidy-version;</userinput></screen>
-
-    <para>If you wish to install the API documentation you must have
-    <xref linkend="doxygen"/> installed, then change directories into the
-    <filename class='directory'>htmldoc</filename> of the source tree and
-    issue the command <command>doxygen</command>. Then as the
-    <systemitem class="username">root</systemitem> user copy
-    the <filename class='directory'>api</filename> directory to
-    <filename class='directory'>/usr/share/doc/tidy-&tidy-version;.</filename></para>
+install -v -m755 tab2space /usr/bin</userinput></screen>
+
+    <para>If you wish to install the API documentation you must have <xref
+    linkend="doxygen"/> installed, then change directories into the <filename
+    class='directory'>documentation</filename> directory of the source tree and
+    issue the command <command>doxygen doxygen.cfg</command>. Then as the
+    <systemitem class="username">root</systemitem> user copy the <filename
+    class='directory'>documentation/temp/tidylib_api</filename> directory to
+    <filename
+    class='directory'>/usr/share/doc/tidy-&tidy-version;.</filename></para>
 
   </sect2>
@@ -112,11 +124,18 @@
     <title>Command Explanations</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
+    <para>
+      <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is used to
+      build the release library without any debug `assert` in the code.
+    </para>
+
+    <para>
+      <parameter>-DBUILD_TAB2SPACE=ON</parameter>: This switch is used to enable
+      building the <command>tab2space</command> utility.
+    </para>
 
   </sect2>
 
   <sect2 role="configuration">
-    <title>Configuring HTML Tidy</title>
+    <title>Configuring Tidy HTML5</title>
 
     <sect3>
@@ -149,5 +168,5 @@
     <seglistitem>
     <seg>tab2space and tidy</seg>
-    <seg>libtidy.so</seg>
+    <seg>libtidy.so and libtidys.a</seg>
     <seg>/usr/share/doc/tidy-&tidy-version;</seg>
     </seglistitem>
@@ -164,5 +183,5 @@
           <para>is a utility to expand tabs and ensure consistent line
           endings.</para>
-          <indexterm zone="html-tidy tab2space">
+          <indexterm zone="tidy-html tab2space">
             <primary sortas="b-tab2space">tab2space</primary>
           </indexterm>
@@ -174,5 +193,5 @@
         <listitem>
           <para>validates, corrects, and pretty-prints HTML files.</para>
-          <indexterm zone="html-tidy tidy">
+          <indexterm zone="tidy-html tidy">
             <primary sortas="b-tidy">tidy</primary>
           </indexterm>
@@ -181,10 +200,12 @@
 
       <varlistentry id="libtidy">
-        <term><filename class='libraryfile'>libtidy.so</filename></term>
+        <term>
+          <filename class='libraryfile'>libtidy.so and libtidys.a</filename>
+        </term>
         <listitem>
-          <para>library provides the <application>HTML Tidy</application> API
+          <para>library provides the <application>Tidy HTML5</application> API
           functions to <command>tidy</command> and can also be called by other
           programs.</para>
-          <indexterm zone="html-tidy libtidy">
+          <indexterm zone="tidy-html libtidy">
             <primary sortas="c-libtidy">libtidy.so</primary>
           </indexterm>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision ada4e5f507e79bcd58ec2bc8f3cbaa327cda4e82)
+++ general/prog/php.xml	(revision 523c6e9519d28f0959ec94eb029227ece953938c)
@@ -125,5 +125,5 @@
     <para role="optional">
       <xref linkend="curl"/>,
-      <xref linkend="html-tidy"/>,
+      <xref linkend="tidy-html"/>,
       <ulink url="http://sourceforge.net/projects/caudium/">Caudium</ulink>,
       <ulink url="http://www.hyperwave.com/">Hyperwave</ulink>,