Index: general/graphlib/libjpeg.xml
===================================================================
--- general/graphlib/libjpeg.xml	(revision 65498331d574565423a9f3f9db58e81aca16674c)
+++ general/graphlib/libjpeg.xml	(revision 524ce73fae9bb289f4d4ba67c8b73eb9215b7dfb)
@@ -9,6 +9,6 @@
 <!ENTITY libjpeg-md5sum "dbd5f3b47ed13132f04c685d608a7547">
 <!ENTITY libjpeg-size "599 KB">
-<!ENTITY libjpeg-buildsize "3.7 MB">
-<!ENTITY libjpeg-time "0.26 SBU">
+<!ENTITY libjpeg-buildsize "4.6 MB">
+<!ENTITY libjpeg-time "0.15 SBU">
 ]>
 
@@ -20,4 +20,6 @@
 <?dbhtml filename="libjpeg.html"?>
 <title>libjpeg-&libjpeg-version;</title>
+<indexterm zone="libjpeg">
+<primary sortas="a-Libjpeg">Libjpeg</primary></indexterm>
 
 <sect2>
@@ -51,6 +53,9 @@
 
 <screen><userinput><command>./configure --prefix=/usr --enable-static --enable-shared &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install</command></userinput></screen>
 
 </sect2>
@@ -59,6 +64,7 @@
 <title>Command explanations</title>
 
-<para><parameter>--enable-static --enable-shared</parameter>: These switches
-tell libjpeg to build both shared and static libraries.</para>
+<para><parameter>--enable-static --enable-shared</parameter>: These switches 
+tell <application>libjpeg</application> to build both shared and static 
+libraries.</para>
 
 </sect2>
@@ -78,43 +84,80 @@
 <title>Contents</title>
 
-<para>The libjpeg package contains <command>cjpeg</command>,
-<command>djpeg</command>, <command>jpegtran</command>,
-<command>rdjpgcom</command>, <command>wrjpgcom</command> and
-<filename>libjpeg</filename> libraries.</para>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Library</segtitle>
+<segtitle>Installed Directories</segtitle>
 
-</sect2>
+<seglistitem>
+<seg>cjpeg, djpeg, jpegtran, rdjpgcom and wrjpgcom</seg>
+<seg>libjpeg.[so,a]</seg>
+<seg>None</seg>
+</seglistitem>
+</segmentedlist>
 
-<sect2><title>Description</title>
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
 
-<sect3><title>cjpeg</title>
-<para><command>cjpeg</command> compresses image files to produce a
-<acronym>JPEG</acronym>/<acronym>JFIF</acronym> file on the standard
-output.  Currently supported input file formats are:
-<acronym>PPM</acronym> (PBMPLUS color
-format), <acronym>PGM</acronym> (PBMPLUS gray-scale
-format), <acronym>BMP</acronym>, and Targa.</para></sect3>
+<varlistentry id="cjpeg">
+<term><command>cjpeg</command></term>
+<listitem><para>compresses image files to produce a 
+<acronym>JPEG</acronym>/<acronym>JFIF</acronym> file on the standard 
+output. Currently supported input file formats are: 
+<acronym>PPM</acronym> (PBMPLUS color format), <acronym>PGM</acronym> 
+(PBMPLUS gray-scale format), <acronym>BMP</acronym>, and Targa.</para>
+<indexterm zone="libjpeg cjpeg">
+<primary sortas="b-cjpeg">cjpeg</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>djpeg</title>
-<para><command>djpeg</command> decompresses image files from
-<acronym>JPEG/JFIF</acronym> format to either <acronym>PPM</acronym>
-(PBMPLUS color format), <acronym>PGM</acronym> (PBMPLUS gray-scale
-format), <acronym>BMP</acronym>, or Targa
-format.</para></sect3>
+<varlistentry id="djpeg">
+<term><command>djpeg</command></term>
+<listitem><para>decompresses image files from 
+<acronym>JPEG</acronym>/<acronym>JFIF</acronym> format to either 
+<acronym>PPM</acronym> (PBMPLUS color format), <acronym>PGM</acronym> 
+(PBMPLUS gray-scale format), <acronym>BMP</acronym>, or Targa 
+format.</para>
+<indexterm zone="libjpeg djpeg">
+<primary sortas="b-djpeg">djpeg</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>jpegtran</title>
-<para><command>jpegtran</command> is used for lossless transformation of
-<acronym>JPEG</acronym> files.</para></sect3>
+<varlistentry id="jpegtran">
+<term><command>jpegtran</command></term>
+<listitem><para>is used for lossless transformation of 
+<acronym>JPEG</acronym> files.</para>
+<indexterm zone="libjpeg jpegtran">
+<primary sortas="b-jpegtran">jpegtran</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>rdjpgcom</title>
-<para><command>rdjpgcom</command> displays text comments from within a
-<acronym>JPEG</acronym> file.</para></sect3>
+<varlistentry id="rdjpgcom">
+<term><command>rdjpgcom</command></term>
+<listitem><para>displays text comments from within a <acronym>JPEG</acronym> 
+file.</para>
+<indexterm zone="libjpeg rdjpgcom">
+<primary sortas="b-rdjpgcom">rdjpgcom</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>wrjpgcom</title>
-<para><command>wrjpgcom</command> inserts text comments into a
-<acronym>JPEG</acronym> file.</para></sect3>
+<varlistentry id="wrjpgcom">
+<term><command>wrjpgcom</command></term>
+<listitem><para>inserts text comments into a <acronym>JPEG</acronym> 
+file.</para>
+<indexterm zone="libjpeg wrjpgcom">
+<primary sortas="b-wrjpgcom">wrjpgcom</primary>
+</indexterm></listitem>
+</varlistentry>
 
-<sect3><title>jpeg libraries</title>
-<para>These libraries are used by many programs for reading and writing
-jpeg format files.</para></sect3>
+<varlistentry id="libjpeg-lib">
+<term><filename class='libraryfile'>libjpeg.[so,a]</filename></term>
+<listitem><para>library is used by many programs for reading and writing 
+<acronym>JPEG</acronym> format files.</para>
+<indexterm zone="libjpeg libjpeg-lib">
+<primary sortas="c-libjpeg">libjpeg.[so,a]</primary>
+</indexterm></listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>