Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision ad930e67135fca22234e435d02fd782c3415a5e7)
+++ general/genlib/genlib.xml	(revision 531f138b69a7a5702d513235d8d824edacc0d4e3)
@@ -91,4 +91,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libical.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libidn.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libidn2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libiodbc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libksba.xml"/>
Index: general/genlib/libidn2.xml
===================================================================
--- general/genlib/libidn2.xml	(revision 531f138b69a7a5702d513235d8d824edacc0d4e3)
+++ general/genlib/libidn2.xml	(revision 531f138b69a7a5702d513235d8d824edacc0d4e3)
@@ -0,0 +1,184 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libidn2-download-http "&gnu-http;/libidn/libidn2-&libidn2-version;.tar.gz">
+  <!ENTITY libidn2-download-ftp  "&gnu-ftp;/libidn/libidn2-&libidn2-version;.tar.gz">
+  <!ENTITY libidn2-md5sum        "841ebea41f9f10e07e014ab0a874ed8e">
+  <!ENTITY libidn2-size          "1.9 MB">
+  <!ENTITY libidn2-buildsize     "17 MB">
+  <!ENTITY libidn2-time          "0.2 SBU">
+]>
+
+<!-- Try to keep the indentation used in this file-->
+<sect1 id="libidn2" xreflabel="libidn2-&libidn2-version;">
+  <?dbhtml filename="libidn2.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libidn2-&libidn2-version;</title>
+
+  <indexterm zone="libidn2">
+    <primary sortas="a-libidn2">libidn2</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libidn2</title>
+
+    <para>
+      <application>libidn2</application> is a package designed for
+      internationalized string handling based on standards from the
+      Internet Engineering Task Force (IETF)'s IDN working group, designed for
+      internationalized domain names.
+    </para>
+
+    &lfs81_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libidn2-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libidn2-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libidn2-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libidn2-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libidn2-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libidn2-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libidn2 Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="libunistring"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/libidn2"/>
+    </para>
+  </sect2>
+
+  <!--Required section-->
+  <sect2 role="installation">
+    <title>Installation of libidn2</title>
+
+    <para>
+      Install <application>libidn2</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          libidn2
+        </seg>
+        <seg>
+          libidn2.so
+        </seg>
+        <seg>
+          /usr/share/gtk-doc/html/libidn2
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <!-- If the program or library name conflicts (is the same) as the
+      package name, add -prog or -lib to the varlistentry entity id
+      and the 2nd entry of the indexterm zone entity -->
+
+      <varlistentry id="idn2">
+        <term><command>idn2</command></term>
+        <listitem>
+          <para>
+            is a command line interface to the internationalized domain
+            library.
+          </para>
+          <indexterm zone="libidn2 idn2">
+            <primary sortas="b-idn2">idn2</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libidn2-lib">
+        <term><filename class="libraryfile">libidn2.so</filename></term>
+        <listitem>
+          <para>
+            contains a generic Stringprep implementation used for
+            internationalized string handling.
+          </para>
+          <indexterm zone="libidn2 libidn2-lib">
+            <primary sortas="c-libidn2">libidn2.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision ad930e67135fca22234e435d02fd782c3415a5e7)
+++ general/sysutils/systemd.xml	(revision 531f138b69a7a5702d513235d8d824edacc0d4e3)
@@ -87,5 +87,5 @@
       <xref linkend="iptables"/>,
       <xref linkend="libgcrypt"/>,
-      <xref linkend="libidn"/>,
+      <xref linkend="libidn2"/>,
       <xref linkend="libxkbcommon"/>,
       <xref linkend="qemu"/>,
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ad930e67135fca22234e435d02fd782c3415a5e7)
+++ introduction/welcome/changelog.xml	(revision 531f138b69a7a5702d513235d8d824edacc0d4e3)
@@ -49,4 +49,8 @@
           <para>[pierre] - Clarify cryptsetup dependencies.</para>
         </listitem>
+        <listitem>
+          <para>[renodr] - Add libidn2. Fixes
+          <ulink url="&blfs-ticket-root;9045">#9045</ulink>.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision ad930e67135fca22234e435d02fd782c3415a5e7)
+++ networking/netlibs/curl.xml	(revision 531f138b69a7a5702d513235d8d824edacc0d4e3)
@@ -98,9 +98,9 @@
       <xref linkend="c-ares"/>,
       <xref linkend="gnutls"/>,
+      <xref linkend="libidn2"/>,
       <xref linkend="mitkrb"/>,
       <xref linkend="nghttp2"/>,
       <xref linkend="openldap"/>,
       <xref linkend="samba"/>,
-      <ulink url="https://www.gnu.org/software/libidn/#libidn2/">libidn2</ulink>,
       <ulink url="https://launchpad.net/libmetalink/">libmetalink</ulink>,
       <ulink url="https://github.com/rockdaboot/libpsl">libpsl</ulink>,
Index: packages.ent
===================================================================
--- packages.ent	(revision ad930e67135fca22234e435d02fd782c3415a5e7)
+++ packages.ent	(revision 531f138b69a7a5702d513235d8d824edacc0d4e3)
@@ -143,4 +143,5 @@
 <!ENTITY libical-version              "2.0.0">
 <!ENTITY libidn-version               "1.33">
+<!ENTITY libidn2-version              "2.0.4">
 <!ENTITY libiodbc-version             "3.52.12">
 <!ENTITY libksba-version              "1.3.5">
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision ad930e67135fca22234e435d02fd782c3415a5e7)
+++ postlfs/security/gnutls.xml	(revision 531f138b69a7a5702d513235d8d824edacc0d4e3)
@@ -111,5 +111,5 @@
       <xref linkend="guile"/>,
       <xref linkend="libidn"/> or 
-      <ulink url="https://www.gnu.org/software/libidn/libidn2/manual/libidn2.html">libidn2</ulink>,
+      <xref linkend="libidn2"/>
       <xref linkend="net-tools"/> (used during the test suite),
       <xref linkend="texlive"/> or <xref linkend="tl-installer"/>,