Index: general.ent
===================================================================
--- general.ent	(revision ed74a9acb5b6748fd4fc2ba0992d994a236bec4b)
+++ general.ent	(revision 534de2d6b71d34b8ed11a76a50609a553dc04d52)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "11">                   <!-- Always 2 digits -->
+<!ENTITY day          "15">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2016">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 11th &year;">
+<!ENTITY releasedate  "July 15th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libassuan.xml
===================================================================
--- general/genlib/libassuan.xml	(revision ed74a9acb5b6748fd4fc2ba0992d994a236bec4b)
+++ general/genlib/libassuan.xml	(revision 534de2d6b71d34b8ed11a76a50609a553dc04d52)
@@ -8,6 +8,6 @@
   <!ENTITY libassuan-download-ftp
            "ftp://ftp.gnupg.org/gcrypt/libassuan/libassuan-&libassuan-version;.tar.bz2">
-  <!ENTITY libassuan-md5sum        "70151995c2330ae1261c0a7ca34cf478">
-  <!ENTITY libassuan-size          "576 KB">
+  <!ENTITY libassuan-md5sum        "8e01a7c72d3e5d154481230668e6eb5a">
+  <!ENTITY libassuan-size          "547 KB">
   <!ENTITY libassuan-buildsize     "6.7 MB (with tests)">
   <!ENTITY libassuan-time          "0.1 SBU (with tests)">
Index: general/genlib/libgcrypt.xml
===================================================================
--- general/genlib/libgcrypt.xml	(revision ed74a9acb5b6748fd4fc2ba0992d994a236bec4b)
+++ general/genlib/libgcrypt.xml	(revision 534de2d6b71d34b8ed11a76a50609a553dc04d52)
@@ -7,5 +7,5 @@
   <!ENTITY libgcrypt-download-http " ">
   <!ENTITY libgcrypt-download-ftp  "ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-&libgcrypt-version;.tar.bz2">
-  <!ENTITY libgcrypt-md5sum        "8b8e002bcab29c1f1f1940ada831eb49">
+  <!ENTITY libgcrypt-md5sum        "ec7b21dd2134af4b3aece5e5dfd3a700">
   <!ENTITY libgcrypt-size          "2.7 MB">
   <!ENTITY libgcrypt-buildsize     "46 MB (with tests and building docs)">
Index: general/genlib/libgpg-error.xml
===================================================================
--- general/genlib/libgpg-error.xml	(revision ed74a9acb5b6748fd4fc2ba0992d994a236bec4b)
+++ general/genlib/libgpg-error.xml	(revision 534de2d6b71d34b8ed11a76a50609a553dc04d52)
@@ -7,6 +7,6 @@
   <!ENTITY libgpg-error-download-http " ">
   <!ENTITY libgpg-error-download-ftp  "ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
-  <!ENTITY libgpg-error-md5sum        "5bc2d7ec28f91f883fb6f23d5c784ca7">
-  <!ENTITY libgpg-error-size          "764 KB">
+  <!ENTITY libgpg-error-md5sum        "feb42198c0aaf3b28eabe8f41a34b983">
+  <!ENTITY libgpg-error-size          "765 KB">
   <!ENTITY libgpg-error-buildsize     "7.6 MB (with tests)">
   <!ENTITY libgpg-error-time          "less than 0.1 SBU (with tests)">
Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision ed74a9acb5b6748fd4fc2ba0992d994a236bec4b)
+++ general/prog/git.xml	(revision 534de2d6b71d34b8ed11a76a50609a553dc04d52)
@@ -9,5 +9,5 @@
   <!ENTITY git-download-http "&git-root;/git-&git-version;.tar.xz">
   <!ENTITY git-download-ftp  "ftp://ftp.kernel.org/pub/software/scm/git/git-&git-version;.tar.xz">
-  <!ENTITY git-md5sum        "118ef1e3108ef0b858cd13b74395a59c">
+  <!ENTITY git-md5sum        "b52cf453ac7760538bbc972d6c775a7c">
   <!ENTITY git-size          "3.8 MB">
   <!ENTITY git-buildsize     "316 MB (including the pre-built documentation)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ed74a9acb5b6748fd4fc2ba0992d994a236bec4b)
+++ introduction/welcome/changelog.xml	(revision 534de2d6b71d34b8ed11a76a50609a553dc04d52)
@@ -44,4 +44,26 @@
 
 -->
+    <listitem>
+      <para>July 15th, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - Update to libassuan-2.4.3. Fixes
+          <ulink url="&blfs-ticket-root;8075">#8075</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Update to libgcrypt-1.7.2. Fixes
+          <ulink url="&blfs-ticket-root;8076">#8076</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Update to libgpg-error-1.24. Fixes
+          <ulink url="&blfs-ticket-root;8077">#8077</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Update to git-2.9.1. Fixes
+          <ulink url="&blfs-ticket-root;8068">#8068</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>July 12th, 2016</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision ed74a9acb5b6748fd4fc2ba0992d994a236bec4b)
+++ packages.ent	(revision 534de2d6b71d34b8ed11a76a50609a553dc04d52)
@@ -113,5 +113,5 @@
 <!ENTITY keyutils-version             "1.5.9">
 <!ENTITY libarchive-version           "3.2.1">
-<!ENTITY libassuan-version            "2.4.2">
+<!ENTITY libassuan-version            "2.4.3">
 <!ENTITY libatasmart-version          "0.19">
 <!ENTITY libatomic_ops-version        "7.4.4">
@@ -122,7 +122,7 @@
 <!ENTITY libesmtp-version             "1.0.6">
 <!ENTITY libffi-version               "3.2.1">
-<!ENTITY libgcrypt-version            "1.7.1">
+<!ENTITY libgcrypt-version            "1.7.2">
 <!ENTITY libglade-version             "2.6.4">
-<!ENTITY libgpg-error-version         "1.23">
+<!ENTITY libgpg-error-version         "1.24">
 <!ENTITY libgsf-version               "1.14.39">
 <!ENTITY libgudev-version             "230">
@@ -286,5 +286,5 @@
 <!ENTITY gc-version                   "7.4.4">
 <!ENTITY gdb-version                  "7.11.1">
-<!ENTITY git-version                  "2.9.0">
+<!ENTITY git-version                  "2.9.1">
 <!ENTITY guile-version                "2.0.11">
 <!ENTITY librep-version               "0.92.6">