Index: general.ent
===================================================================
--- general.ent	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ general.ent	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "22">                   <!-- Always 2 digits -->
+<!ENTITY day          "24">                   <!-- Always 2 digits -->
 <!ENTITY month        "07">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "July 22nd &year;">
+<!ENTITY releasedate  "July 24th &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/talloc.xml
===================================================================
--- general/genlib/talloc.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ general/genlib/talloc.xml	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -7,7 +7,7 @@
   <!ENTITY talloc-download-http "https://www.samba.org/ftp/talloc/talloc-&talloc-version;.tar.gz">
   <!ENTITY talloc-download-ftp  " ">
-  <!ENTITY talloc-md5sum        "19ba14eba97d79a169fa92ea824d2b9e">
+  <!ENTITY talloc-md5sum        "48b8822a76797bb143e3e38ed738c320">
   <!ENTITY talloc-size          "432 KB">
-  <!ENTITY talloc-buildsize     "7.1 MB (with tests)">
+  <!ENTITY talloc-buildsize     "7.7 MB (with tests)">
   <!ENTITY talloc-time          "0.3 SBU (with tests)">
 ]>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ gnome.ent	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -54,13 +54,13 @@
 <!ENTITY gnome-backgrounds-version         "3.24.0">
 <!ENTITY gvfs-version                      "1.32.1">
-<!ENTITY nautilus-version                  "3.24.1">
+<!ENTITY nautilus-version                  "3.24.2.1">
 <!ENTITY zenity-version                    "3.24.0">
 <!ENTITY gnome-bluetooth-version           "3.20.1">
 <!ENTITY gnome-keyring-version             "3.20.1">
-<!ENTITY gnome-settings-daemon-version     "3.24.2">
+<!ENTITY gnome-settings-daemon-version     "3.24.3">
 <!ENTITY gnome-control-center-version      "3.24.2">
 <!ENTITY mutter-version                    "3.24.3">
-<!ENTITY gnome-shell-version               "3.24.2">
-<!ENTITY gnome-shell-extensions-version    "3.24.2">
+<!ENTITY gnome-shell-version               "3.24.3">
+<!ENTITY gnome-shell-extensions-version    "3.24.3">
 <!ENTITY gnome-session-version             "3.24.1">
 <!ENTITY gdm-version                       "3.24.2">
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-settings-daemon-download-ftp
            "&gnome-download-ftp;/gnome-settings-daemon/&gnome-minor-24;/gnome-settings-daemon-&gnome-settings-daemon-version;.tar.xz">
-  <!ENTITY gnome-settings-daemon-md5sum        "d317e64cc389ecfbbeeb1dfcf3f1fc51">
-  <!ENTITY gnome-settings-daemon-size          "1.5 MB">
+  <!ENTITY gnome-settings-daemon-md5sum        "a40a634805d444a7d851aba4a897120f">
+  <!ENTITY gnome-settings-daemon-size          "1.6 MB">
   <!ENTITY gnome-settings-daemon-buildsize     "53 MB">
-  <!ENTITY gnome-settings-daemon-time          "0.5 SBU">
+  <!ENTITY gnome-settings-daemon-time          "0.8 SBU">
 ]>
 
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -9,7 +9,7 @@
   <!ENTITY gnome-shell-extensions-download-ftp
            "&gnome-download-ftp;/gnome-shell-extensions/&gnome-minor-24;/gnome-shell-extensions-&gnome-shell-extensions-version;.tar.xz">
-  <!ENTITY gnome-shell-extensions-md5sum        "1a68fc702f186a7557c1152104d83e04">
-  <!ENTITY gnome-shell-extensions-size          "340 KB">
-  <!ENTITY gnome-shell-extensions-buildsize     "5.5 MB">
+  <!ENTITY gnome-shell-extensions-md5sum        "1421b0d1425495cb63a5c5f58bd5c352">
+  <!ENTITY gnome-shell-extensions-size          "344 KB">
+  <!ENTITY gnome-shell-extensions-buildsize     "4.0 MB">
   <!ENTITY gnome-shell-extensions-time          "less than 0.1 SBU">
 ]>
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ gnome/platform/gnome-shell.xml	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-shell-download-ftp
            "&gnome-download-ftp;/gnome-shell/&gnome-minor-24;/gnome-shell-&gnome-shell-version;.tar.xz">
-  <!ENTITY gnome-shell-md5sum        "e84e5813cc87f3a228a9d9ce9bb4a6e4">
+  <!ENTITY gnome-shell-md5sum        "3cdd93df065ad1ad8d7a15a8ec9eafd0">
   <!ENTITY gnome-shell-size          "1.9 MB">
-  <!ENTITY gnome-shell-buildsize     "88 MB">
-  <!ENTITY gnome-shell-time          "0.8 SBU">
+  <!ENTITY gnome-shell-buildsize     "89 MB">
+  <!ENTITY gnome-shell-time          "1.4 SBU">
 ]>
 
Index: gnome/platform/nautilus.xml
===================================================================
--- gnome/platform/nautilus.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ gnome/platform/nautilus.xml	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -9,8 +9,8 @@
   <!ENTITY nautilus-download-ftp
            "&gnome-download-ftp;/nautilus/&gnome-minor-24;/nautilus-&nautilus-version;.tar.xz">
-  <!ENTITY nautilus-md5sum        "ab342340fd2a02546b60f1558c952b15">
+  <!ENTITY nautilus-md5sum        "21a352c815bef6b72f8a68237ef8743c">
   <!ENTITY nautilus-size          "5.0 MB">
-  <!ENTITY nautilus-buildsize     "155 MB">
-  <!ENTITY nautilus-time          "0.9 SBU">
+  <!ENTITY nautilus-buildsize     "156 MB">
+  <!ENTITY nautilus-time          "1.5 SBU">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ introduction/welcome/changelog.xml	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -47,5 +47,23 @@
       <itemizedlist>
         <listitem>
-          <para>[dj] - Restore Fuse2 package as dependency for gvfs.</para>
+          <para>[dj] - Restore Fuse2 package as dependency for gvfs. Fixes
+          <ulink url="&blfs-ticket-root;9484">#9484</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to talloc-1.2.10. Fixes
+          <ulink url="&blfs-ticket-root;9513">#9513</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to gnome-shell-3.24.3 and
+          gnome-shell-extensions-3.24.3. Fixes
+          <ulink url="&blfs-ticket-root;9506">#9506</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to gnome-settings-daemon-3.24.3. Fixes
+          <ulink url="&blfs-ticket-root;9514">#9514</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to nautilus-3.24.2.1. Fixes
+          <ulink url="&blfs-ticket-root;9490">#9490</ulink>.</para>
         </listitem>
       </itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ packages.ent	(revision 537ff794c1937240cb0bbafb19a67831d3834db2)
@@ -177,5 +177,5 @@
 <!ENTITY qjson-version                "0.8.1">
 <!ENTITY sbc-version                  "1.3">
-<!ENTITY talloc-version               "2.1.9">
+<!ENTITY talloc-version               "2.1.10">
 <!ENTITY wayland-version              "1.13.0">
 <!ENTITY wayland-protocols-version    "1.9">